Bug 702257 - [abrt] gnome-shell-3.0.1-2.fc15: magazine_chain_pop_head: Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
[abrt] gnome-shell-3.0.1-2.fc15: magazine_chain_pop_head: Process /usr/bin/gn...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
http://ati.cchtml.com/show_bug.cgi?id...
abrt_hash:10767b98fd716440110969e18b1...
: Upstream
: 758647 810426 812601 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-05 03:54 EDT by Vlad
Modified: 2013-01-10 19:55 EST (History)
264 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 810426 (view as bug list)
Environment:
Last Closed: 2012-05-26 21:53:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: maps (65.38 KB, text/plain)
2011-05-05 03:54 EDT, Vlad
no flags Details
File: event_log (11.16 KB, text/plain)
2011-05-05 03:54 EDT, Vlad
no flags Details
File: build_ids (5.45 KB, text/plain)
2011-05-05 03:54 EDT, Vlad
no flags Details
File: dsos (46.34 KB, text/plain)
2011-05-05 03:54 EDT, Vlad
no flags Details
File: backtrace (138.92 KB, text/plain)
2011-05-05 03:54 EDT, Vlad
no flags Details
File: backtrace (80.80 KB, text/plain)
2011-12-18 13:47 EST, Milan Bouchet-Valat
no flags Details
File: backtrace (95.68 KB, text/plain)
2012-01-17 19:32 EST, PonyPants
no flags Details
File: backtrace (65.51 KB, text/plain)
2012-01-22 12:04 EST, Mark Conmy
no flags Details
File: backtrace (66.29 KB, text/plain)
2012-01-26 12:29 EST, ilan
no flags Details
File: backtrace (70.92 KB, text/plain)
2012-01-28 03:33 EST, Kari.Hakkinen
no flags Details
File: backtrace (64.15 KB, text/plain)
2012-01-31 19:30 EST, Ed Marshall
no flags Details
File: backtrace (102.00 KB, text/plain)
2012-02-01 06:48 EST, Jörg BUCHMANN
no flags Details
File: backtrace (105.40 KB, text/plain)
2012-02-02 18:14 EST, James
no flags Details
File: backtrace (81.45 KB, text/plain)
2012-02-05 17:40 EST, papciak.kamil
no flags Details
File: backtrace (82.25 KB, text/plain)
2012-02-06 10:35 EST, Doug McClean
no flags Details
File: backtrace (71.98 KB, text/plain)
2012-02-08 10:28 EST, Steve Davis
no flags Details
File: backtrace (108.19 KB, text/plain)
2012-02-09 00:03 EST, ljonbyz
no flags Details
File: backtrace (92.31 KB, text/plain)
2012-02-09 16:17 EST, Moises Gomez
no flags Details
File: backtrace (103.11 KB, text/plain)
2012-02-10 03:28 EST, Jonathan Malfoy
no flags Details
File: backtrace (94.84 KB, text/plain)
2012-02-10 07:48 EST, Alberto Salvia Novella
no flags Details
File: backtrace (80.41 KB, text/plain)
2012-02-10 10:19 EST, Elad Alfassa
no flags Details
File: backtrace (117.20 KB, text/plain)
2012-02-10 12:55 EST, Devon Janitz
no flags Details
File: backtrace (88.06 KB, text/plain)
2012-02-12 08:44 EST, Philip Chimento
no flags Details
File: backtrace (93.36 KB, text/plain)
2012-02-12 09:48 EST, Philip Chimento
no flags Details
File: backtrace (68.89 KB, text/plain)
2012-02-13 06:47 EST, Michael Ben-Nes
no flags Details
File: backtrace (102.97 KB, text/plain)
2012-02-13 10:41 EST, Devon Janitz
no flags Details
File: backtrace (75.10 KB, text/plain)
2012-02-13 15:11 EST, Troy A. Griffitts
no flags Details
File: backtrace (98.40 KB, text/plain)
2012-02-14 12:23 EST, Richard Neumann
no flags Details
File: backtrace (83.41 KB, text/plain)
2012-02-15 16:33 EST, Devon Janitz
no flags Details
File: backtrace (81.79 KB, text/plain)
2012-02-15 16:37 EST, Devon Janitz
no flags Details
File: backtrace (98.54 KB, text/plain)
2012-02-17 00:59 EST, Agustin Ferrario
no flags Details
File: backtrace (85.64 KB, text/plain)
2012-02-17 22:33 EST, Tom Georgoulias
no flags Details
File: backtrace (94.49 KB, text/plain)
2012-02-18 12:19 EST, Josh Hornung
no flags Details
File: backtrace (69.32 KB, text/plain)
2012-02-18 20:22 EST, Joseph
no flags Details
File: backtrace (80.64 KB, text/plain)
2012-02-19 20:59 EST, Charles Dombek
no flags Details
File: backtrace (80.84 KB, text/plain)
2012-02-20 04:43 EST, Zenaida
no flags Details
File: backtrace (81.10 KB, text/plain)
2012-02-21 13:43 EST, Lance Lassetter
no flags Details
File: backtrace (94.26 KB, text/plain)
2012-02-21 14:58 EST, Adam Williamson
no flags Details
File: backtrace (119.81 KB, text/plain)
2012-02-22 07:25 EST, Allan Engelhardt
no flags Details
File: backtrace (80.91 KB, text/plain)
2012-02-22 22:14 EST, Clyde E. Kunkel
no flags Details
File: backtrace (86.76 KB, text/plain)
2012-02-23 16:42 EST, Moises Gomez
no flags Details
File: backtrace (81.21 KB, text/plain)
2012-02-24 11:29 EST, Matthew Booth
no flags Details
File: backtrace (75.15 KB, text/plain)
2012-02-24 12:31 EST, David
no flags Details
File: backtrace (76.72 KB, text/plain)
2012-02-24 23:56 EST, Jim Urbas
no flags Details
File: backtrace (82.77 KB, text/plain)
2012-02-25 01:45 EST, Dave Jeffery
no flags Details
File: backtrace (89.67 KB, text/plain)
2012-02-26 03:56 EST, Kaspars Mickevics
no flags Details
File: backtrace (93.31 KB, text/plain)
2012-02-26 06:38 EST, frywalker
no flags Details
File: backtrace (122.73 KB, text/plain)
2012-02-26 15:15 EST, rob
no flags Details
File: backtrace (77.54 KB, text/plain)
2012-02-26 17:14 EST, Kira
no flags Details
File: backtrace (105.81 KB, text/plain)
2012-02-26 23:07 EST, Nikolay Boychev
no flags Details
File: backtrace (67.99 KB, text/plain)
2012-02-26 23:15 EST, Nikolay Boychev
no flags Details
File: backtrace (81.22 KB, text/plain)
2012-02-27 20:37 EST, Jim Urbas
no flags Details
File: backtrace (85.56 KB, text/plain)
2012-02-28 13:29 EST, Victor Costan
no flags Details
File: backtrace (103.56 KB, text/plain)
2012-02-29 13:41 EST, Johannes Postler
no flags Details
File: backtrace (60.99 KB, text/plain)
2012-03-01 17:30 EST, xeddvok7bd7464n2
no flags Details
File: backtrace (84.29 KB, text/plain)
2012-03-02 05:38 EST, Todd Savoie
no flags Details
File: backtrace (77.23 KB, text/plain)
2012-03-02 17:23 EST, John Daisley
no flags Details
File: backtrace (78.53 KB, text/plain)
2012-03-04 02:21 EST, Todd Savoie
no flags Details
File: backtrace (76.85 KB, text/plain)
2012-03-05 01:29 EST, Tony Foiani
no flags Details
File: backtrace (68.79 KB, text/plain)
2012-03-05 05:57 EST, Tony Themelis
no flags Details
File: backtrace (61.54 KB, text/plain)
2012-03-05 06:20 EST, Tony Themelis
no flags Details
File: backtrace (105.13 KB, text/plain)
2012-03-05 15:46 EST, Jiri Hodal - Monte
no flags Details
File: backtrace (83.44 KB, text/plain)
2012-03-06 06:24 EST, Doug Penner
no flags Details
File: backtrace (80.06 KB, text/plain)
2012-03-06 11:18 EST, JayBofMA
no flags Details
File: backtrace (101.85 KB, text/plain)
2012-03-06 14:47 EST, Ronaldo Nascimento
no flags Details
File: backtrace (139.68 KB, text/plain)
2012-03-07 02:59 EST, Mikhail
no flags Details
File: backtrace (135.90 KB, text/plain)
2012-03-07 04:56 EST, Quentin Armitage
no flags Details
File: backtrace (89.82 KB, text/plain)
2012-03-07 05:51 EST, Ozan Çağlayan
no flags Details
File: backtrace (74.13 KB, text/plain)
2012-03-07 10:32 EST, Derek
no flags Details
File: backtrace (81.37 KB, text/plain)
2012-03-07 10:34 EST, Derek
no flags Details
File: backtrace (114.40 KB, text/plain)
2012-03-09 04:59 EST, Li Junshuai
no flags Details
File: backtrace (117.68 KB, text/plain)
2012-03-09 13:21 EST, Nicolas Chauvet (kwizart)
no flags Details
File: backtrace (80.54 KB, text/plain)
2012-03-10 18:57 EST, James
no flags Details
File: backtrace (112.21 KB, text/plain)
2012-03-11 01:03 EST, Vadim
no flags Details
File: backtrace (100.56 KB, text/plain)
2012-03-11 01:24 EST, Vadim
no flags Details
File: backtrace (53.67 KB, text/plain)
2012-03-11 12:17 EDT, mikey
no flags Details
File: backtrace (64.74 KB, text/plain)
2012-03-11 17:46 EDT, obsidianavatar
no flags Details
File: backtrace (79.12 KB, text/plain)
2012-03-11 21:12 EDT, ztaticnull
no flags Details
File: backtrace (80.48 KB, text/plain)
2012-03-11 21:53 EDT, guitarheel
no flags Details
File: backtrace (63.50 KB, text/plain)
2012-03-13 06:41 EDT, Thomas Vander Stichele
no flags Details
File: backtrace (107.48 KB, text/plain)
2012-03-16 18:37 EDT, Fabrício José Vieira Ceolin
no flags Details
File: backtrace (77.79 KB, text/plain)
2012-03-18 14:40 EDT, Ankur Sinha (FranciscoD)
no flags Details
File: backtrace (77.76 KB, text/plain)
2012-03-19 01:07 EDT, Dave Jeffery
no flags Details
File: backtrace (68.87 KB, text/plain)
2012-03-19 03:56 EDT, Dave Jeffery
no flags Details
File: backtrace (72.74 KB, text/plain)
2012-03-19 12:23 EDT, tarso81
no flags Details
File: backtrace (93.14 KB, text/plain)
2012-03-20 00:59 EDT, Dave Jeffery
no flags Details
File: backtrace (123.18 KB, text/plain)
2012-03-21 07:24 EDT, Mads Kiilerich
no flags Details
File: backtrace (87.86 KB, text/plain)
2012-03-23 10:28 EDT, Fabian Deutsch
no flags Details
File: backtrace (111.10 KB, text/plain)
2012-03-26 02:46 EDT, Nicholas Alonge
no flags Details
File: backtrace (97.95 KB, text/plain)
2012-03-26 08:32 EDT, klement.sekera
no flags Details
File: backtrace (135.36 KB, text/plain)
2012-03-26 14:43 EDT, HUGEL Christian
no flags Details
File: backtrace (141.56 KB, text/plain)
2012-03-26 15:36 EDT, Benjamin
no flags Details
File: backtrace (110.51 KB, text/plain)
2012-03-27 00:55 EDT, Asif Ali Rizvan
no flags Details
File: backtrace (68.43 KB, text/plain)
2012-03-27 02:59 EDT, Braden McDaniel
no flags Details
File: backtrace (100.65 KB, text/plain)
2012-03-27 04:45 EDT, Pierguido Lambri
no flags Details
File: backtrace (69.86 KB, text/plain)
2012-03-27 06:46 EDT, geigor
no flags Details
File: backtrace (94.61 KB, text/plain)
2012-03-27 19:15 EDT, M. Wolfe
no flags Details
File: backtrace (88.15 KB, text/plain)
2012-03-28 04:31 EDT, Tim Waugh
no flags Details
backtrace (117.58 KB, text/plain)
2012-03-28 17:19 EDT, djip007
no flags Details
File: backtrace (84.80 KB, text/plain)
2012-03-30 15:32 EDT, thomas.wuercher
no flags Details
File: backtrace (85.59 KB, text/plain)
2012-03-31 11:45 EDT, HUGEL Christian
no flags Details
File: backtrace (95.25 KB, text/plain)
2012-03-31 16:32 EDT, Alexey
no flags Details
File: backtrace (94.30 KB, text/plain)
2012-03-31 22:23 EDT, Dan Beard
no flags Details
File: backtrace (124.32 KB, text/plain)
2012-04-01 14:46 EDT, HUGEL Christian
no flags Details
File: backtrace (67.84 KB, text/plain)
2012-04-01 23:58 EDT, Artemio
no flags Details
File: backtrace (69.02 KB, text/plain)
2012-04-02 03:32 EDT, lavall7
no flags Details
File: backtrace (90.04 KB, text/plain)
2012-04-02 08:24 EDT, udtduetl
no flags Details
File: backtrace (96.26 KB, text/plain)
2012-04-02 08:55 EDT, Elad Alfassa
no flags Details
File: backtrace (104.49 KB, text/plain)
2012-04-03 03:51 EDT, Štefan Gurský
no flags Details
File: backtrace (107.42 KB, text/plain)
2012-04-03 17:59 EDT, John Slade
no flags Details
File: backtrace (81.93 KB, text/plain)
2012-04-04 07:10 EDT, Raymond Rodgers
no flags Details
File: backtrace (93.13 KB, text/plain)
2012-04-04 16:14 EDT, Adam Williamson
no flags Details
File: backtrace (133.21 KB, text/plain)
2012-04-05 04:07 EDT, GAO Xiang
no flags Details
File: backtrace (78.17 KB, text/plain)
2012-04-05 22:40 EDT, Tim Zorn
no flags Details
File: backtrace (102.82 KB, text/plain)
2012-04-06 06:08 EDT, Bob
no flags Details
File: backtrace (75.77 KB, text/plain)
2012-04-09 18:11 EDT, rra18_9
no flags Details
File: backtrace (86.25 KB, text/plain)
2012-04-09 18:47 EDT, rra18_9
no flags Details
File: backtrace (97.65 KB, text/plain)
2012-04-09 23:28 EDT, erasmo_eli
no flags Details
File: backtrace (100.09 KB, text/plain)
2012-04-11 06:48 EDT, James
no flags Details
File: backtrace (109.23 KB, text/plain)
2012-04-12 04:51 EDT, Vilhjálmur Magnússon
no flags Details
File: backtrace (77.27 KB, text/plain)
2012-04-12 12:35 EDT, legionarivs
no flags Details
File: backtrace (79.23 KB, text/plain)
2012-04-12 12:41 EDT, legionarivs
no flags Details
File: backtrace (94.66 KB, text/plain)
2012-04-12 13:27 EDT, legionarivs
no flags Details
File: backtrace (76.22 KB, text/plain)
2012-04-12 14:47 EDT, kuchiman
no flags Details
File: backtrace (59.72 KB, text/plain)
2012-04-13 04:40 EDT, fred
no flags Details
File: backtrace (94.36 KB, text/plain)
2012-04-13 09:07 EDT, Ali Salim Rashid
no flags Details
File: backtrace (72.03 KB, text/plain)
2012-04-13 12:36 EDT, Serg Oskin
no flags Details
File: backtrace (88.73 KB, text/plain)
2012-04-13 17:36 EDT, Tom Georgoulias
no flags Details
File: backtrace (69.64 KB, text/plain)
2012-04-14 07:13 EDT, Vilhjálmur Magnússon
no flags Details
File: backtrace (84.67 KB, text/plain)
2012-04-15 21:15 EDT, Jared MORGAN
no flags Details
File: backtrace (79.17 KB, text/plain)
2012-04-16 17:02 EDT, Bahtiar `kalkin` Gadimov
no flags Details
File: backtrace (85.82 KB, text/plain)
2012-04-17 03:56 EDT, Tim Waugh
no flags Details
File: backtrace (82.47 KB, text/plain)
2012-04-18 07:40 EDT, Bahtiar `kalkin` Gadimov
no flags Details
File: backtrace (72.26 KB, text/plain)
2012-04-18 10:14 EDT, Andre Eliatamby
no flags Details
File: backtrace (121.89 KB, text/plain)
2012-04-19 05:55 EDT, Adam Huffman
no flags Details
File: backtrace (99.47 KB, text/plain)
2012-04-19 07:53 EDT, kotofos
no flags Details
valgrind log (300.47 KB, application/octet-stream)
2012-04-25 18:25 EDT, djip007
no flags Details
Comment (178.97 KB, text/plain)
2012-03-12 21:13 EDT, djip007
no flags Details

  None (edit)
Description Vlad 2011-05-05 03:54:04 EDT
abrt version: 2.0.1
cmdline: /usr/bin/gnome-shell
component: gnome-shell
executable: /usr/bin/gnome-shell
architecture: x86_64
kernel: 2.6.38.5-22.fc15.x86_64
crash_function: magazine_chain_pop_head
reason: Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
package: gnome-shell-3.0.1-2.fc15
username: krnlbg
uid: 500
rating: 3
time: 1304581592
os_release: Fedora release 15 (Lovelock)

Text file: maps, 66954 bytes
Text file: event_log, 11426 bytes
Text file: build_ids, 5576 bytes
Binary file: coredump, 232230912 bytes
Text file: dsos, 47457 bytes
Text file: backtrace, 142257 bytes

environ
-----
XDG_SESSION_ID=18
HOSTNAME=localhost.localdomain
IMSETTINGS_INTEGRATE_DESKTOP=yes
SHELL=/bin/bash
TERM=dumb
HISTSIZE=1000
XDG_SESSION_COOKIE=c77e14f21523c3a77c2f7f124b7f8e64-1304578527.282277-1458472711
QTDIR=/usr/lib64/qt-3.3
GNOME_KEYRING_CONTROL=/tmp/keyring-9YHrYn
QTINC=/usr/lib64/qt-3.3/include
IMSETTINGS_MODULE=none
USER=krnlbg
USERNAME=krnlbg
MAIL=/var/spool/mail/krnlbg
PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/krnlbg/bin
DESKTOP_SESSION=gnome
QT_IM_MODULE=xim
PWD=/home/krnlbg
XMODIFIERS=@im=none
KDE_IS_PRELINKED=1
GNOME_KEYRING_PID=2572
LANG=ru_RU.utf8
MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
GDM_LANG=ru_RU.utf8
LOADEDMODULES=
KDEDIRS=/usr
GDMSESSION=gnome
SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
HISTCONTROL=ignoredups
HOME=/home/krnlbg
SHLVL=1
LOGNAME=krnlbg
QTLIB=/usr/lib64/qt-3.3/lib
CVS_RSH=ssh
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-7BCcoJkpxk,guid=697601141c27b9205965e3d50000231c
MODULESHOME=/usr/share/Modules
'LESSOPEN=||/usr/bin/lesspipe.sh %s'
WINDOWPATH=1
XDG_RUNTIME_DIR=/run/user/krnlbg
DISPLAY=:0
GTK_IM_MODULE=gtk-im-context-simple
G_BROKEN_FILENAMES=1
XAUTHORITY=/var/run/gdm/auth-for-krnlbg-NcN3q0/database
'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'
_=/usr/bin/gnome-session
GNOME_DESKTOP_SESSION_ID=this-is-deprecated
SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2580,unix/unix:/tmp/.ICE-unix/2580
ORBIT_SOCKETDIR=/tmp/orbit-krnlbg
SSH_AUTH_SOCK=/tmp/keyring-9YHrYn/ssh
GPG_AGENT_INFO=/tmp/keyring-9YHrYn/gpg:0:1
DESKTOP_AUTOSTART_ID=10764b6b7da90c76cb130457852826537300000025800000
Comment 1 Vlad 2011-05-05 03:54:08 EDT
Created attachment 497000 [details]
File: maps
Comment 2 Vlad 2011-05-05 03:54:11 EDT
Created attachment 497001 [details]
File: event_log
Comment 3 Vlad 2011-05-05 03:54:14 EDT
Created attachment 497002 [details]
File: build_ids
Comment 4 Vlad 2011-05-05 03:54:18 EDT
Created attachment 497003 [details]
File: dsos
Comment 5 Vlad 2011-05-05 03:54:22 EDT
Created attachment 497004 [details]
File: backtrace
Comment 6 Johan Vervloet 2011-05-16 14:03:57 EDT
Package: gnome-shell-3.0.1-4.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
1. Pressed the 'system' key
2. Started typing 'chr' in order to launch chromium
3. Crash
Comment 7 Christopher Granade 2011-05-25 19:59:58 EDT
Package: gnome-shell-3.0.1-4.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Occured while changing status in Epiphany.
Comment 8 David M. 2011-05-31 22:09:16 EDT
Package: gnome-shell-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Opened "activities" launcher and typed in "v" for virtual box.  Screen froze up, but I kept typing anyhow.  I eventually clicked around the screen a few time and everything crashed.  I think about 3 other letters appeared in the box before everthing fell apart.
Comment 9 mariuszw 2011-06-13 13:43:50 EDT
Package: gnome-shell-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
I logged in, waited a few seconds before the Gnome panel appeared, and the moment it appeared, I pressed the Windows key and started to type: aro (I wanted to launch the arora web browser). A few moments later a pop-up window informed me that gnome-shell crashed.
Comment 10 José Antonio 2011-06-13 19:57:05 EDT
Package: gnome-shell-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Gnome shell crashed for no aparent reason.
Comment 11 Andreas Tunek 2011-07-01 23:35:33 EDT
Package: gnome-shell-3.0.2-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
searched
Comment 12 Ferry Huberts 2011-07-04 09:17:50 EDT
Package: gnome-shell-3.0.2-4.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
don't know
Comment 13 David Timms 2011-07-06 07:42:47 EDT
Package: gnome-shell-3.0.2-4.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
presses windows key, typed term enter.
Note: just finished rebooting after a 100 package update.
Comment 14 Claudio Saavedra 2011-07-09 14:26:32 EDT
Package: gnome-shell-3.0.2-4.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Nothing.
!
Comment 15 Mark Christiaens 2011-07-29 02:47:32 EDT
Package: gnome-shell-3.0.2-4.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I just logged in and did "windows key" -> type "chrome" (to start google chrome) and the crash occurred
Comment 16 Alex Wajda 2011-08-09 17:26:20 EDT
Package: gnome-shell-3.0.2-4.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
1. Push "Win" button
2. Start typing very quickly to select the application
3. A few seconds of freezing and then crash.
Comment 17 MM 2011-08-22 11:57:44 EDT
Package: gnome-shell-3.0.2-4.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I had two nautilus windows open, there was no other user interaction activity
Comment 18 gianluca 2011-08-26 02:53:16 EDT
Package: gnome-shell-3.0.2-4.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I was opening Skype client
Comment 19 luigi votta 2011-09-08 09:23:01 EDT
Package: gnome-shell-3.1.90.1-2.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
After logging into gnome session the system crashed
Comment 20 luigi votta 2011-09-08 09:28:10 EDT
gnome-shell[1396]: segfault at 20726568 ip 41ff757d sp bfc33190 error 4 in libglib-2.0.so.0.2918.0[41f97000+121000]
[  785.428685] gnome-shell[1502]: segfault at 0 ip 420f4d3b sp bfa487c0 error 4 in libgobject-2.0.so.0.2918.0[420ea000+4e000]
Comment 21 Chito Tuason 2011-09-08 09:50:01 EDT
Package: gnome-shell-3.1.90.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
logout then login back
Comment 22 Václav Jansa 2011-09-08 10:00:29 EDT
Package: gnome-shell-3.1.90.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Go to activities and then crash.
Comment 23 Václav Jansa 2011-09-08 10:19:21 EDT
Package: gnome-shell-3.1.90.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Crash during editing ABRT report.
Comment 24 Maciej Piechotka 2011-09-10 22:59:57 EDT
Package: gnome-shell-3.1.90.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Restart after gnome-shell failure.
Comment 25 Stephen Degler 2011-09-11 01:30:06 EDT
Package: gnome-shell-3.1.90.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
presence of shell extensions?
Comment 26 Simone Deponti 2011-09-13 04:39:37 EDT
Package: gnome-shell-3.0.2-4.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
1. Clicked on the activities keyboard button (normally the "windows" key)
2. Started typing a program name ("update" for "Software update")
3. The shell crashed

Empathy was the only active program at the time.
Comment 27 Rusty Lockett 2011-10-14 13:34:06 EDT
Package: gnome-shell-3.2.0-2.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
Not sure what caused the problem
Comment 28 Dmitry Burstein 2011-10-15 15:20:58 EDT
Package: gnome-shell-3.0.2-4.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
don't know exactly
Comment 29 Dmitry Burstein 2011-10-15 15:23:42 EDT
Package: gnome-shell-3.0.2-4.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
don't know exactly
Comment 30 ricflopes 2011-10-17 10:22:47 EDT
Package: gnome-shell-3.2.0-2.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
connect wi-fi
Comment 31 Rusty Lockett 2011-10-20 10:28:55 EDT
Package: gnome-shell-3.2.0-2.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
Was filing an bug report
Comment 32 Rusty Lockett 2011-10-20 10:38:57 EDT
Package: gnome-shell-3.2.0-2.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
Was processing the automatic bug reporting tool and it crashed
Comment 33 Rusty Lockett 2011-10-26 11:03:07 EDT
Package: gnome-shell-3.2.1-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
Clicked on my name to shut down.
Comment 34 Michael Tughan 2011-11-11 11:00:45 EST
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Can't be reproduced on command. gnome-shell just seems to crash a couple minutes after boot most times. Machine is installed in a Parallels Desktop, version 7.
Comment 35 Allan 2011-11-12 06:37:04 EST
Package: gnome-shell-3.2.1-2.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
I do not know how it happens.
Comment 36 Allan 2011-11-12 11:21:09 EST
Package: gnome-shell-3.2.1-2.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
I dont knowwwwnnnnnnnnnnn
Comment 37 christian.kirbach@googlemail.com 2011-11-15 18:18:41 EST
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
crashed when moving a window
Note that the ATI binary Linux driver 11.11 is installed. crash did not happen with open-source readeon driver.
Comment 38 christian.kirbach@googlemail.com 2011-11-17 19:02:12 EST
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Right-clicking in the dash
Comment 39 christian.kirbach@googlemail.com 2011-11-17 19:05:54 EST
is someone affected by this issue _not_ running the propietary ATI binary driver?
Comment 40 Michael Tughan 2011-11-17 19:36:24 EST
Yes, this crash affects me in a Parallels Desktop 7 virtual machine. Uses the proprietary Parallels Tools, but not the ATI binary driver.
Comment 41 Dmitry Burstein 2011-11-19 15:14:39 EST
I'm running the proprietary NVIDIA drivers.
Comment 42 christian.kirbach@googlemail.com 2011-11-20 07:32:35 EST
Hence we can conclude that this issue is at least not due to some
broken proprietary X driver.
Comment 43 Kris Knigga 2011-11-20 13:51:33 EST
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Clicking on Activities then Applications
Comment 44 Kirk Swidowski 2011-11-21 11:49:03 EST
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
closing eclipse.
Comment 45 Kris Knigga 2011-11-21 20:41:53 EST
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
not sure.
Comment 46 Kris Knigga 2011-11-21 20:42:51 EST
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
I'm not sure what happened.
Comment 47 twinwires 2011-11-22 18:33:37 EST
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Tried to install rpmfusion-nonfree-release-stable.noarch.rpm  several times

result

Can't install /home/kjetil/Downloads/rpmfusion-nonfree-release-stable.noarch.rpm as no transaction
Comment 48 Trever Adams 2011-11-23 17:25:47 EST
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Just unlocked screen saver.
Comment 49 Erik Paixão 2011-11-26 09:52:57 EST
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
open the twetdeck and the audio is broken
Comment 50 Václav Jansa 2011-11-30 10:44:08 EST
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Crash after first reboot to system with newly installed proprietary ATI catalyst driver
Comment 51 Václav Jansa 2011-12-01 05:17:34 EST
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Multiple crashes during working with proprietary catalyst driver.
Comment 52 Václav Jansa 2011-12-02 11:07:46 EST
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Change virtual display Ctrl+Alt+Up. Using proprietary driver.
Comment 53 Václav Jansa 2011-12-05 09:14:24 EST
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
No action to crash.
Comment 54 Václav Jansa 2011-12-07 01:37:05 EST
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Moving cursor to notification area. Proprietary drivers AMD catalyst.
Comment 55 Juan 2011-12-10 21:29:30 EST
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Opened a movie with VLC media player.
Something strange happened in the screen (I only saw the background for some time).
VLC started with only sound and no video window.
Comment 56 Owen Taylor 2011-12-15 17:01:58 EST
Pretty sure that this is the same as bug 768143, but not dup'ing for the moment.
Comment 57 christian.kirbach@googlemail.com 2011-12-16 08:17:22 EST
Just for reference. I dropped AMD Catalyst 11.11 driver in November since it rendered gnome-shell no fun.
With Catalyst 11.12 I have not had a single crash in days.
gnome-shell Fedora package was not updated in between (still at 3.2.1-2).
The driver does no longer trigger the gnome-shell crash for me.
Comment 58 Michael Tughan 2011-12-16 09:18:24 EST
I still have issues in Parallels, but it's looking like that may be a function of their graphics driver, for two reasons: one, that Catalyst 11.12 has apparently fixed the issue for one user, which might indicate the problem lies elsewhere, and two, because I often get graphics corruption with complete images that were on my desktop just a couple minutes earlier. Here's two screenshots. The first is of the normal desktop, the second is the desktop with the menu overlay. The menu bar plus the overlay render correctly, but the desktop does not. I have seen, at times, where if I happen to run an Ubuntu VM right before booting the Fedora VM, I happen to get an almost complete Ubuntu desktop as the background in Fedora. I haven't seen this issue with Unity, but given that's a different DE, it's likely not related.

http://dl.dropbox.com/u/44769998/F16GraphicsCorruption.png
http://dl.dropbox.com/u/44769998/F16GraphicsCorruptionOverlay.png
Comment 59 Milan Bouchet-Valat 2011-12-18 13:47:43 EST
Crashed when clicking on "Applications" in the overview.

rating: 4
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 60 Milan Bouchet-Valat 2011-12-18 13:47:51 EST
Created attachment 548427 [details]
File: backtrace
Comment 61 Juan M Ortiz 2011-12-20 21:02:32 EST
moving the mouse over the upper right corner 

rating: 4
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 62 christian.kirbach@googlemail.com 2011-12-21 10:04:59 EST
Hi,

I was the one reporting that the issue is gone with Catalyst 11.12,but
that is unfortunately wrong. The issue just happens much less frequently,
sometimes days in between incidents.

What I can summarise is that gnoem-shell actions like entering/leaving the activities overview, changing window focus etc. seem to trigger the crash.

I used to see frequently see corruption like
http://dl.dropbox.com/u/44769998/F16GraphicsCorruptionOverlay.png
but Catalyst 11.12 exhibits this far less frequently than previously.

Please also note that in GNOME fallback mode, none of the issues happen.
Comment 63 Devon Janitz 2011-12-27 16:10:05 EST
I had just installed Wine and was clicking on the menu to view the Icons for the Wine programs.

rating: 4
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 64 Devon Janitz 2011-12-27 16:13:08 EST
Was trying to report another bug when this occured.

rating: 4
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 65 nexus76 2011-12-27 19:24:08 EST
Simply booting up into Fedora 16 using the latest version of Oracle VirtualBox on a Windows 7 64-bit host. There is almost always a problem with launching the Gnome shell on a cold boot, but by sending the ctrl-alt-del command from VirtualBox and subsequently logging off the gui and back on, eventually it will work...usually.

rating: 4
Package: gnome-shell-3.2.1-2.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 66 nexus76 2011-12-27 19:31:25 EST
Adding a new virtual android device in classic eclipse for Android platform 4.0.3

rating: 4
Package: gnome-shell-3.2.1-2.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 67 Jim Gribbin 2012-01-04 01:21:15 EST
I did not know I'd had an issue until ABRT told me.

rating: 4
Package: gnome-shell-3.2.1-2.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 68 Picani 2012-01-08 11:49:49 EST
When using fglrx as video driver, the notification zone and the gnome-shell's windows presentation board have display problems (like when you touch the screen connections) and gnome-shell sometimes crashes. All of this problems don't appear when using free drivers.

rating: 4
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 69 mohammed 2012-01-08 15:24:04 EST
i instaled recently a driver fom my ATI Radeon from this link :
http://doc.fedora-fr.org/wiki/Carte_graphique_AMD_Radeon_:_installation_du_pilote_propri%C3%A9taire
and since that, the gnome shell bugs frequently


rating: 4
Package: gnome-shell-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 70 Owen Taylor 2012-01-09 17:04:27 EST
(In reply to comment #65)
> Simply booting up into Fedora 16 using the latest version of Oracle VirtualBox
> on a Windows 7 64-bit host. There is almost always a problem with launching the
> Gnome shell on a cold boot, but by sending the ctrl-alt-del command from
> VirtualBox and subsequently logging off the gui and back on, eventually it will
> work...usually.
> 
> rating: 4
> Package: gnome-shell-3.2.1-2.fc16
> Architecture: i686
> OS Release: Fedora release 16 (Verne)

Since I didn't have a machine with FGLRX available, I tried reproducing the problem this way with a Linux host and failed. Since what VirtualBox provides is OpenGL "passthrough" it's possible that the bug is only reproducible if the host GL drivers have certain characteristics.
Comment 71 Trever Adams 2012-01-10 05:18:42 EST
I am not using FGLRX. I am using modules glx, dri, ati, radeon with
01:05.0 VGA compatible controller: ATI Technologies Inc Radeon HD 3300 Graphics


I also have this problem. Although I have been having it a lot less lately.
Comment 72 christian.kirbach@googlemail.com 2012-01-15 05:54:40 EST
Hello Trever,

can you tell us which distribution you are running, and the exact version numbers of the modules glx, dri, ati and radeon ?
Comment 73 Trever Adams 2012-01-15 10:02:45 EST
xorg-x11-drv-ati-6.14.3-3.20111125git534fb6e41.fc16.x86_64 (6.14.99, this is ati and radeon)
mesa-dri-drivers-7.11.2-1.fc16.x86_64
xorg-x11-drivers-7.4-2.fc15.x86_64
mesa-dri-drivers-7.11.2-1.fc16.i686
mesa-dri-filesystem-7.11.2-1.fc16.i686

I am afraid I am having difficulty finding the glx and dri lines from /var/log/Xorg.0.log that give the version numbers.
Comment 74 diegor 2012-01-16 03:38:53 EST
fglrx: was deployed with Catalyst Version 11.12 (RandR version 1.3)
driver packaging version: 8.92-111109a-129215C-ATI
2D driver version: 8.91.4
Comment 75 diegor 2012-01-16 03:47:33 EST
[diegor@bulldozer ~]$ uname -a
Linux bulldozer.inf.ethz.ch 3.1.7-1.fc16.x86_64 #1 SMP Tue Jan 3 19:45:05 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

We have an AMD Radeon HD 6970, although Catalyst shows only "AMD Radeon HD6900 Series". Dual monitor with 2 Samsung SynchMaster 191T.
OpenGL Version 4.1.11251 Compatibility Profile Context.
Comment 76 PonyPants 2012-01-17 19:32:10 EST
Teamspeak 3 Initiation, immediately after install by running the .run as executable via terminal.

backtrace_rating: 4
Package: gnome-shell-3.2.1-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 77 PonyPants 2012-01-17 19:32:19 EST
Created attachment 555888 [details]
File: backtrace
Comment 78 diegor 2012-01-18 03:38:55 EST
Teamspeak 3: should i install the server or client part?
Comment 79 Mark Conmy 2012-01-22 12:03:54 EST
Just switching between windows.  The windows were xine, chrome and gnome-terminal.

backtrace_rating: 4
Package: gnome-shell-3.2.1-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 80 Mark Conmy 2012-01-22 12:04:05 EST
Created attachment 556803 [details]
File: backtrace
Comment 81 ilan 2012-01-26 12:29:36 EST
the screen become digital 

backtrace_rating: 4
Package: gnome-shell-3.2.1-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 82 ilan 2012-01-26 12:29:47 EST
Created attachment 557712 [details]
File: backtrace
Comment 83 Kari.Hakkinen 2012-01-28 03:33:30 EST
I was just reading a PDF document. Nothing else was going on

backtrace_rating: 4
Package: gnome-shell-3.2.1-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 84 Kari.Hakkinen 2012-01-28 03:33:40 EST
Created attachment 558012 [details]
File: backtrace
Comment 85 Alex 2012-01-30 02:13:47 EST
Exactly the same problem in:
-- https://bugzilla.gnome.org/show_bug.cgi?id=668800 (openSUSE 12.1+fglrx 12.1)
-- https://bugzilla.gnome.org/show_bug.cgi?id=668930 (Linux mint 12+fglrx 12.1)
-- https://bugzilla.redhat.com/show_bug.cgi?id=702257 (Fedora 15,16+fglrx 12.1)
-- https://bugzilla.gnome.org/show_bug.cgi?id=663155#c4 (GNOME 3.2.X+FGLRX
12.1)
-- http://ati.cchtml.com/show_bug.cgi?id=99
-- http://ati.cchtml.com/show_bug.cgi?id=264
-- http://ati.cchtml.com/show_bug.cgi?id=283
-- http://ati.cchtml.com/show_bug.cgi?id=339

P.s. We must send all of our bugs on ati bagtracker
Comment 86 christian.kirbach@googlemail.com 2012-01-30 16:18:54 EST
Owen,

I guess https://bugzilla.gnome.org/show_bug.cgi?id=668930 can be considered the upstream bug then?!
Comment 87 Ed Marshall 2012-01-31 19:30:46 EST
Tried clicking another tab in Firefox.

backtrace_rating: 4
Package: gnome-shell-3.2.1-2.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 88 Ed Marshall 2012-01-31 19:30:53 EST
Created attachment 558734 [details]
File: backtrace
Comment 89 Jörg BUCHMANN 2012-02-01 06:47:49 EST
At start of AMD Catalyst 11.11

backtrace_rating: 4
Package: gnome-shell-3.2.1-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 90 Jörg BUCHMANN 2012-02-01 06:48:07 EST
Created attachment 558799 [details]
File: backtrace
Comment 91 James 2012-02-02 18:14:17 EST
Was in Activities overview, clicked on Removable Devices notification icon.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 92 James 2012-02-02 18:14:28 EST
Created attachment 559180 [details]
File: backtrace
Comment 93 papciak.kamil 2012-02-05 17:40:23 EST
After installing ATI drivers from RPMfusion and reboot, after some time graphics crashes. Don'n know more details. I just see some graphics 'artifacts'. Hope it helps somehow.

backtrace_rating: 4
Package: gnome-shell-3.2.1-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 94 papciak.kamil 2012-02-05 17:40:35 EST
Created attachment 559514 [details]
File: backtrace
Comment 95 Doug McClean 2012-02-06 10:35:09 EST
Closing/opening applications (usually firefox) tends to trigger this issue. Note: I am using the proprietary binary video driver from AMD.

backtrace_rating: 4
Package: gnome-shell-3.2.1-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 96 Doug McClean 2012-02-06 10:35:19 EST
Created attachment 559663 [details]
File: backtrace
Comment 97 Steve Davis 2012-02-08 10:28:08 EST
Had the file viewer on the screen.  Inserted a USB drive. Screen flashed a few times and the error reporting dialogue came up.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 98 Steve Davis 2012-02-08 10:28:20 EST
Created attachment 560294 [details]
File: backtrace
Comment 99 ljonbyz 2012-02-09 00:03:26 EST
Was using Evolution. 

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 100 ljonbyz 2012-02-09 00:03:38 EST
Created attachment 560439 [details]
File: backtrace
Comment 101 Moises Gomez 2012-02-09 16:17:39 EST
Installing virtualbox-ose x86_64

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 102 Moises Gomez 2012-02-09 16:17:50 EST
Created attachment 560711 [details]
File: backtrace
Comment 103 Jonathan Malfoy 2012-02-10 03:28:21 EST
After Catalyst proprietary driver installed

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 104 Jonathan Malfoy 2012-02-10 03:28:32 EST
Created attachment 560812 [details]
File: backtrace
Comment 105 Alberto Salvia Novella 2012-02-10 07:48:41 EST
The problem can be reproduced doing the following:

1. Install an application
2. Wait 10 minutes
3. Install other application

Then the "Add/Remove software" application is unable to authentificate.


backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 106 Alberto Salvia Novella 2012-02-10 07:48:55 EST
Created attachment 560889 [details]
File: backtrace
Comment 107 Elad Alfassa 2012-02-10 10:18:46 EST
1. Play Half Life 2 on Wine (in windowed mode).
2. Connect a USB device to charge it.
3. Instead of a notification, you get a crash.


backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 108 Elad Alfassa 2012-02-10 10:19:16 EST
Created attachment 560917 [details]
File: backtrace
Comment 109 Elad Alfassa 2012-02-10 10:26:48 EST
(Note, I have an intel integrated GPU)

00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)

according to gnome-control-center, it's Intel® Ironlake Desktop 



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 110 Devon Janitz 2012-02-10 12:55:43 EST
Closed the SELinux Trouble Shooter

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 111 Devon Janitz 2012-02-10 12:55:52 EST
Created attachment 560941 [details]
File: backtrace
Comment 112 Philip Chimento 2012-02-12 08:44:03 EST
Using 'Software Install' to install a RPM package downloaded with Firefox

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 113 Philip Chimento 2012-02-12 08:44:20 EST
Created attachment 561219 [details]
File: backtrace
Comment 114 Philip Chimento 2012-02-12 09:48:06 EST
Installing a package from 'Add and Remove Software'

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 115 Philip Chimento 2012-02-12 09:48:16 EST
Created attachment 561229 [details]
File: backtrace
Comment 116 Michael Ben-Nes 2012-02-13 06:47:22 EST
This happens all the time. Mostly while browsing files using nautilus.
Also while pressing alt-tab and such


backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 117 Michael Ben-Nes 2012-02-13 06:47:36 EST
Created attachment 561510 [details]
File: backtrace
Comment 118 Devon Janitz 2012-02-13 10:41:23 EST
Was on the pull down menu that is presented by to users name, that has Settings, Power Off and such.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 119 Devon Janitz 2012-02-13 10:41:34 EST
Created attachment 561584 [details]
File: backtrace
Comment 120 Troy A. Griffitts 2012-02-13 15:11:20 EST
Look, there's nothing to fill out.  gnome-shell just sucks.  It crashes on me constantly when I'm doing just about anything.  Nice thing it actually restarts itself.

This time, I think I was using firefox and hit close.  When it asked me if I wanted to close n tabs, I hit cancel.  Boom.

Please give me a sane desktop again.  GNOME3 just sucks.  It's pretty when it sucks.  And it probably works great for 4 year old playing with a tablet.  But yeah, without pre-defined desktops, normal alt-tab operations, right-click removed from just about everything, I pretty much feel handicap.


backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 121 Troy A. Griffitts 2012-02-13 15:11:31 EST
Created attachment 561661 [details]
File: backtrace
Comment 122 Milan Bouchet-Valat 2012-02-13 15:48:32 EST
(In reply to comment #120)
> Look, there's nothing to fill out.  gnome-shell just sucks.  It crashes on me
> constantly when I'm doing just about anything.  Nice thing it actually restarts
> itself.
> 
> This time, I think I was using firefox and hit close.  When it asked me if I
> wanted to close n tabs, I hit cancel.  Boom.
> 
> Please give me a sane desktop again.  GNOME3 just sucks.  It's pretty when it
> sucks.  And it probably works great for 4 year old playing with a tablet.  But
> yeah, without pre-defined desktops, normal alt-tab operations, right-click
> removed from just about everything, I pretty much feel handicap.
Please don't mix design decisions and pure unintended bugs. The present report is about a crash that is triggered by the *proprietary* AMD driver, that GNOME has no control on. Please don't blame GNOME the developers for that: go and bother AMD (after all, you paid for your graphics card, and not for the Shell).
Comment 123 Michael Tughan 2012-02-13 15:54:19 EST
(In reply to comment #122)
> (In reply to comment #120)
> > Look, there's nothing to fill out.  gnome-shell just sucks.  It crashes on me
> > constantly when I'm doing just about anything.  Nice thing it actually restarts
> > itself.
> > 
> > This time, I think I was using firefox and hit close.  When it asked me if I
> > wanted to close n tabs, I hit cancel.  Boom.
> > 
> > Please give me a sane desktop again.  GNOME3 just sucks.  It's pretty when it
> > sucks.  And it probably works great for 4 year old playing with a tablet.  But
> > yeah, without pre-defined desktops, normal alt-tab operations, right-click
> > removed from just about everything, I pretty much feel handicap.
> Please don't mix design decisions and pure unintended bugs. The present report
> is about a crash that is triggered by the *proprietary* AMD driver, that GNOME
> has no control on. Please don't blame GNOME the developers for that: go and
> bother AMD (after all, you paid for your graphics card, and not for the Shell).

I have to disagree with you there. AMD's driver may not be the greatest, but I'm also experiencing this issue with the Parallel's GPU driver on Mac OS X, so this isn't limited to one driver. This may still be a driver issue, but it's not an AMD specific problem.
Comment 124 Milan Bouchet-Valat 2012-02-13 17:39:05 EST
(In reply to comment #123)
> I have to disagree with you there. AMD's driver may not be the greatest, but
> I'm also experiencing this issue with the Parallel's GPU driver on Mac OS X, so
> this isn't limited to one driver. This may still be a driver issue, but it's
> not an AMD specific problem.
This bug comes from a memory corruption, so different bugs in different drivers can trigger crashes that look similar, just because magazine_chain_pop_head() is the function that handles memory allocation for the Shell. Anyway, the fact that it's driver-specific shows that it's AMD's (and possibly Apple's) "fault".
Comment 125 Richard Neumann 2012-02-14 12:22:47 EST
I opened the "Wechseldatenträger"-Tray icon. (It may be called "device manager" or so in english) by clicking on it. Then gnome-shell restarted.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 126 Richard Neumann 2012-02-14 12:23:00 EST
Created attachment 561976 [details]
File: backtrace
Comment 127 Elad Alfassa 2012-02-15 04:07:54 EST
(In reply to comment #124)
> (In reply to comment #123)
> > I have to disagree with you there. AMD's driver may not be the greatest, but
> > I'm also experiencing this issue with the Parallel's GPU driver on Mac OS X, so
> > this isn't limited to one driver. This may still be a driver issue, but it's
> > not an AMD specific problem.
> This bug comes from a memory corruption, so different bugs in different drivers
> can trigger crashes that look similar, just because magazine_chain_pop_head()
> is the function that handles memory allocation for the Shell. Anyway, the fact
> that it's driver-specific shows that it's AMD's (and possibly Apple's) "fault".

No, It's not driver specific, I got this crash with the free open source default Intel driver.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 128 Owen Taylor 2012-02-15 10:24:16 EST
(In reply to comment #127)
> (In reply to comment #124)
> > (In reply to comment #123)
> > > I have to disagree with you there. AMD's driver may not be the greatest, but
> > > I'm also experiencing this issue with the Parallel's GPU driver on Mac OS X, so
> > > this isn't limited to one driver. This may still be a driver issue, but it's
> > > not an AMD specific problem.
> > This bug comes from a memory corruption, so different bugs in different drivers
> > can trigger crashes that look similar, just because magazine_chain_pop_head()
> > is the function that handles memory allocation for the Shell. Anyway, the fact
> > that it's driver-specific shows that it's AMD's (and possibly Apple's) "fault".
> 
> No, It's not driver specific, I got this crash with the free open source
> default Intel driver.

My strong suspicion is that any crash you got with the Intel driver is not this crash, it's a different unrelated crash. (Any corruption of the GLib slice allocator can cause this backtrac.) It's not particularly likely that some bug would crash frequently for everybody with FGLRX and crash for one person at one time on Intel.

I don't think this is necessarily AMD's "fault" here - most likely the problem is that the AMD driver and Parallels driver return an error from some GL call that is legal but unexpected and triggers a bug in the Cogl codebase. (I spent quite some time looking through the Cogl code for problems like this and didn't find anything.)
Comment 129 Devon Janitz 2012-02-15 16:33:42 EST
Was browsing down the program menu icons.  This is a VM running under VirtualBox.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 130 Devon Janitz 2012-02-15 16:33:56 EST
Created attachment 562342 [details]
File: backtrace
Comment 131 Devon Janitz 2012-02-15 16:37:10 EST
Was selecting the shutdown command from the pull down menu.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 132 Devon Janitz 2012-02-15 16:37:26 EST
Created attachment 562343 [details]
File: backtrace
Comment 133 Agustin Ferrario 2012-02-17 00:59:26 EST
1) Screen turns off
2) Move the mouse so screen turns on again (lock-screen is off)
3) Gnome-shell crashed


backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 134 Agustin Ferrario 2012-02-17 00:59:42 EST
Created attachment 563826 [details]
File: backtrace
Comment 135 Tom Georgoulias 2012-02-17 22:33:45 EST
Attempted to unmount removeable drive.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 136 Tom Georgoulias 2012-02-17 22:33:57 EST
Created attachment 564025 [details]
File: backtrace
Comment 137 Josh Hornung 2012-02-18 12:18:56 EST
This crash occured when I attempted to open the gnome-tweak tool. Uncertain of other specific details that may have contributed. My computer had previously been locked and sitting unused for a few hours.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 138 Josh Hornung 2012-02-18 12:19:10 EST
Created attachment 564068 [details]
File: backtrace
Comment 139 Joseph 2012-02-18 20:21:50 EST
I opened Eclipse and pressed the "Restore Window" button.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 140 Joseph 2012-02-18 20:22:04 EST
Created attachment 564111 [details]
File: backtrace
Comment 141 Charles Dombek 2012-02-19 20:59:15 EST
Running a VM in Parallels 7 on a MacBook Pro. Just booted and got the error.

backtrace_rating: 4
Package: gnome-shell-3.2.1-2.fc16
OS Release: Fedora release 5
Comment 142 Charles Dombek 2012-02-19 20:59:25 EST
Created attachment 564270 [details]
File: backtrace
Comment 143 Zenaida 2012-02-20 04:43:31 EST
On normal using, I plugged-on an usb memory device (8Gb's Kingston DataTraveler Locker) and, inmediatly, it raised up  this error. Nothing else done!

Just before using, I installed wine
I will try on doing once again


backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 144 Zenaida 2012-02-20 04:43:53 EST
Created attachment 564365 [details]
File: backtrace
Comment 145 Lance Lassetter 2012-02-21 13:43:07 EST
fglrx 12.1 random crashes

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 146 Lance Lassetter 2012-02-21 13:43:21 EST
Created attachment 564764 [details]
File: backtrace
Comment 147 Adam Williamson 2012-02-21 14:58:05 EST
I plugged in a USB stick (with F17 Alpha RC3 written to it).

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 148 Adam Williamson 2012-02-21 14:58:17 EST
Created attachment 564778 [details]
File: backtrace
Comment 149 Allan Engelhardt 2012-02-22 07:25:03 EST
I uninstalled libreoffice from Fedora and installed the version from libreoffice.org.  Then I clicked on the shortcut in my Favourites bar (without updating it first).  The Gnome UI hung for maybe 2 minutes followed by this crash

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 150 Allan Engelhardt 2012-02-22 07:25:23 EST
Created attachment 564935 [details]
File: backtrace
Comment 151 yangjiehk2008 2012-02-22 20:52:39 EST
I uninstalled the amd driver, and then this problem disappeared.
Comment 152 Clyde E. Kunkel 2012-02-22 22:14:14 EST
put cd in USB connected cd reader, did not close tray.  After about 1 min, tray closed on its own and then this error was reported

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 153 Clyde E. Kunkel 2012-02-22 22:14:27 EST
Created attachment 565168 [details]
File: backtrace
Comment 154 Moises Gomez 2012-02-23 16:41:56 EST
Installing VirtualBox-OSE.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 155 Moises Gomez 2012-02-23 16:42:12 EST
Created attachment 565387 [details]
File: backtrace
Comment 156 Matthew Booth 2012-02-24 11:28:46 EST
I had just plugged in a USB drive.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 157 Matthew Booth 2012-02-24 11:29:05 EST
Created attachment 565636 [details]
File: backtrace
Comment 158 David 2012-02-24 12:31:14 EST
Plug in a WD 500G usb drive after fresh install and update.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 159 David 2012-02-24 12:31:26 EST
Created attachment 565651 [details]
File: backtrace
Comment 160 Jim Urbas 2012-02-24 23:56:31 EST
While usng the GUI and opening applications the screen will go blank and come back on in last window.  After gonig back into applications it seems to work fine.  I get this about 2 to 3 times an hour.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 161 Jim Urbas 2012-02-24 23:56:45 EST
Created attachment 565720 [details]
File: backtrace
Comment 162 Dave Jeffery 2012-02-25 01:45:03 EST
The problem seems to be related to window decorations - particularly the title bar. It happens about every three quarters of an hour on Gnome Shell running on a Radeon Catalyst driver.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 163 Dave Jeffery 2012-02-25 01:45:20 EST
Created attachment 565724 [details]
File: backtrace
Comment 164 Kaspars Mickevics 2012-02-26 03:55:39 EST
Plugged in usb disk drive and gnome shell crashed.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 165 Kaspars Mickevics 2012-02-26 03:56:02 EST
Created attachment 565859 [details]
File: backtrace
Comment 166 frywalker 2012-02-26 06:38:37 EST
I just plugged a new HDD in usb

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 167 frywalker 2012-02-26 06:38:50 EST
Created attachment 565881 [details]
File: backtrace
Comment 168 rob 2012-02-26 15:15:35 EST
Putted on a VGA cable with catalyst control center open. The VGA cable is going to LG Flatron M2550D. The catalyst center said root acces required. please close catalyst center. After closing gnome crashed

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 169 rob 2012-02-26 15:15:52 EST
Created attachment 565924 [details]
File: backtrace
Comment 170 Kira 2012-02-26 17:14:21 EST
Opened Activities

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 171 Kira 2012-02-26 17:14:33 EST
Created attachment 565927 [details]
File: backtrace
Comment 172 Kira 2012-02-26 17:16:29 EST
(In reply to comment #171)
> Created attachment 565927 [details]
> File: backtrace

Radeon HD4890
Installed driver: amd-driver-installer-12-1-x86.x86_64.run
Comment 173 Nikolay Boychev 2012-02-26 23:07:17 EST
gnome 3.2.1 crash any time

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 174 Nikolay Boychev 2012-02-26 23:07:37 EST
Created attachment 565944 [details]
File: backtrace
Comment 175 Nikolay Boychev 2012-02-26 23:14:55 EST
gnome-shell crash

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 176 Nikolay Boychev 2012-02-26 23:15:11 EST
Created attachment 565945 [details]
File: backtrace
Comment 177 Michael Ben-Nes 2012-02-27 01:31:40 EST
I waited for a solution too long, its just amaze me that my costly card is supported less then the entry level cards.

I removed the proprietary catalyst driver and returned to the open source solution. As of that:

1. The performance improved significantly.
2. I can wake my computer from sleep
3. No gnome shell restarts for the last 2 days.
Comment 178 Adam Williamson 2012-02-27 19:51:40 EST

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 179 Jim Urbas 2012-02-27 20:37:30 EST
same problem. any help would be greatly appreeciated.  happens when I go to activities to open a application.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 180 Jim Urbas 2012-02-27 20:37:49 EST
Created attachment 566173 [details]
File: backtrace
Comment 181 Victor Costan 2012-02-28 13:29:20 EST
Clicked on a tab in Google Chrome.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 182 Victor Costan 2012-02-28 13:29:36 EST
Created attachment 566375 [details]
File: backtrace
Comment 183 Johannes Postler 2012-02-29 13:40:52 EST
plugged in a USB drive - nothing else

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 184 Johannes Postler 2012-02-29 13:41:09 EST
Created attachment 566612 [details]
File: backtrace
Comment 185 xeddvok7bd7464n2 2012-03-01 17:30:04 EST
Was copying a big amount of files (> 3GB) from a USB pen drive to my home folder. Suddenly, Gnome Shell crashed (~ 99% has been copied).

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 186 xeddvok7bd7464n2 2012-03-01 17:30:29 EST
Created attachment 566960 [details]
File: backtrace
Comment 187 Todd Savoie 2012-03-02 05:38:38 EST
Editing online account settings in GNOME 3

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 188 Todd Savoie 2012-03-02 05:38:57 EST
Created attachment 567030 [details]
File: backtrace
Comment 189 John Daisley 2012-03-02 17:23:16 EST
opened evolution

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 190 John Daisley 2012-03-02 17:23:31 EST
Created attachment 567180 [details]
File: backtrace
Comment 191 Todd Savoie 2012-03-04 02:20:47 EST
Opening favorites menu.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 192 Todd Savoie 2012-03-04 02:21:10 EST
Created attachment 567374 [details]
File: backtrace
Comment 193 Tony Foiani 2012-03-05 01:29:32 EST
This is a fully-up-to-date Fedora 16 x86-64 running under Parallels for OSX.

The virtual machine and guest drivers are also fully up-to-date.

Not sure what is causing it; seems related to page flipping and full-screen apps (GNU Emacs seems to be a particularly common violator).

Doing a web search shows that others are finding similar problems; the rough consensus was that the Parallels video driver was probably doing something legal but odd regarding OpenGL, and gnome-shell wasn't handling the response gracefully.

It's a bit of a pain, but the actual apps aren't killed; I just have to spend 30-60s flipping pages, switching apps between full screen and not, and hoping that gnome-shell gets its act together.


backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 194 Tony Foiani 2012-03-05 01:29:48 EST
Created attachment 567482 [details]
File: backtrace
Comment 195 Tony Themelis 2012-03-05 05:57:07 EST
i was adding a new mail account in Thunderbird

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 196 Tony Themelis 2012-03-05 05:57:24 EST
Created attachment 567553 [details]
File: backtrace
Comment 197 Tony Themelis 2012-03-05 06:20:29 EST
after setting up vpnc VPN connection, clicked on connect.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 198 Tony Themelis 2012-03-05 06:20:45 EST
Created attachment 567559 [details]
File: backtrace
Comment 199 Jiri Hodal - Monte 2012-03-05 15:46:00 EST
I inserted CD-ROM disc to the optical drive.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 200 Jiri Hodal - Monte 2012-03-05 15:46:19 EST
Created attachment 567750 [details]
File: backtrace
Comment 201 Adam Williamson 2012-03-05 17:53:29 EST
there seem to be two distinct scenarios causing this: the AMD/ATI Catalyst driver, and Parallels. Might help to know what they're both doing in common, I guess.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 202 Doug Penner 2012-03-06 06:24:17 EST
launching system-config-printer from command line.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 203 Doug Penner 2012-03-06 06:24:38 EST
Created attachment 567918 [details]
File: backtrace
Comment 204 JayBofMA 2012-03-06 11:18:13 EST
Attempting to run a fresh install of RabbitVCS 0.14.2.1-3.fc16

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 205 JayBofMA 2012-03-06 11:18:30 EST
Created attachment 568003 [details]
File: backtrace
Comment 206 Ronaldo Nascimento 2012-03-06 14:46:45 EST
removed rythmbox from gnome dock favorites

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 207 Ronaldo Nascimento 2012-03-06 14:47:11 EST
Created attachment 568046 [details]
File: backtrace
Comment 208 Mikhail 2012-03-07 02:58:46 EST
ended install windows program (under wine)

backtrace_rating: 4
Package: gnome-shell-3.3.90-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 209 Mikhail 2012-03-07 02:59:10 EST
Created attachment 568178 [details]
File: backtrace
Comment 210 Quentin Armitage 2012-03-07 04:55:28 EST
Inserted a CD into the CD drive

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 211 Quentin Armitage 2012-03-07 04:56:33 EST
Created attachment 568217 [details]
File: backtrace
Comment 212 Ozan Çağlayan 2012-03-07 05:50:48 EST
I just plugged a USB stick and gnome-shell crashed.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 213 Ozan Çağlayan 2012-03-07 05:51:09 EST
Created attachment 568238 [details]
File: backtrace
Comment 214 Derek 2012-03-07 10:31:41 EST
I don't know how this keeps happening, it seems to be mostly at random.  Basically, interact with the UI for five minutes, it'll crash.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 215 Derek 2012-03-07 10:32:12 EST
Created attachment 568321 [details]
File: backtrace
Comment 216 Derek 2012-03-07 10:34:31 EST
Just closed a window and Gnome Shell crashed again.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 217 Derek 2012-03-07 10:34:51 EST
Created attachment 568325 [details]
File: backtrace
Comment 218 Li Junshuai 2012-03-09 04:58:41 EST
I install some extra extentions to the shell then a crash take place

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 219 Li Junshuai 2012-03-09 04:59:12 EST
Created attachment 568875 [details]
File: backtrace
Comment 220 Nicolas Chauvet (kwizart) 2012-03-09 13:20:52 EST
Plug a 2,5" USB disk

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 221 Nicolas Chauvet (kwizart) 2012-03-09 13:21:15 EST
Created attachment 568970 [details]
File: backtrace
Comment 222 James 2012-03-10 18:57:13 EST
Ejected my external hard disc via removable devices notification area applet.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 223 James 2012-03-10 18:57:34 EST
Created attachment 569139 [details]
File: backtrace
Comment 224 Vadim 2012-03-11 01:02:57 EST
run find 'fire...' from preview gnome-shell

backtrace_rating: 4
Package: gnome-shell-3.3.90-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 225 Vadim 2012-03-11 01:03:24 EST
Created attachment 569162 [details]
File: backtrace
Comment 226 Vadim 2012-03-11 01:24:09 EST
click button "win" (for preview gnome-shell)

backtrace_rating: 4
Package: gnome-shell-3.3.90-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 227 Vadim 2012-03-11 01:24:29 EST
Created attachment 569163 [details]
File: backtrace
Comment 228 mikey 2012-03-11 12:17:17 EDT
I used the NetworkManager in Gnome Shell (Network Settings) to change my network configuration to DHCP address only then entered a comma seperated list of DNS servers then exited and closed the Network Settings window at which point Gnome Shell restarted and once restarted showed that the network was reconnecting.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 229 mikey 2012-03-11 12:17:33 EDT
Created attachment 569187 [details]
File: backtrace
Comment 230 obsidianavatar 2012-03-11 17:46:15 EDT
Was using Automatic Bug Reporting Tool activities button and opened Mozilla shortcut.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 231 obsidianavatar 2012-03-11 17:46:35 EDT
Created attachment 569220 [details]
File: backtrace
Comment 232 obsidianavatar 2012-03-11 17:47:51 EDT
Clicked Activities button from menu bar.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 233 ztaticnull 2012-03-11 21:11:54 EDT
Not sure what happened but it would no longer open (or it opened then closed immediatly) until I restarted

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 234 ztaticnull 2012-03-11 21:12:15 EDT
Created attachment 569249 [details]
File: backtrace
Comment 235 guitarheel 2012-03-11 21:53:12 EDT
Attempted to install the system-config-samba package and run directly after install.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 236 guitarheel 2012-03-11 21:53:29 EDT
Created attachment 569264 [details]
File: backtrace
Comment 237 Adam Williamson 2012-03-12 17:46:50 EDT
Can those who've hit this bug recently please let us know if you're using the fglrx driver - that's the proprietary ATI/AMD driver? We suspect this bug is caused by that driver, but if anyone *isn't* using it, that would be valuable information.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 238 Adam Williamson 2012-03-12 17:49:29 EDT
also, AMD seem to be trying to make out like it's not their problem, so if everyone who's hitting this explicitly states they're using fglrx, it may force their hand a bit. Upstream bug is http://ati.cchtml.com/show_bug.cgi?id=408 .
Comment 239 Adam Williamson 2012-03-12 17:52:41 EDT
Also, if you are using fglrx, please try switching to the default open source 'radeon' driver, and see whether the bug still occurs.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 240 Adam Williamson 2012-03-12 17:56:05 EDT
actually, hey. i hit this myself, back at https://bugzilla.redhat.com/show_bug.cgi?id=702257#c147 . that would have been on my laptop, with nouveau.

still, it seems like fglrx hits this a lot more than any other driver.
Comment 241 Johannes Postler 2012-03-12 17:57:34 EDT
I'm not using any AMD hardware... just a normal Intel graphics chipset.
Comment 242 Ray Strode [halfline] 2012-03-12 18:04:23 EDT
can people try putting:

export G_SLICE=always-malloc

in their ~/.bashrc or ~/.bashrc_custom (whichever is appropriate for your release) and try to get a backtrace again?  There's obviously some sort of heap corruption going down, but since it's after the fact, it's sort of hard to pin down--especially with the gslice allocator thrown into the mix.
Comment 243 John Daisley 2012-03-12 18:23:56 EDT
I have AMD Graphics hardware but do not use the proprietary driver. I use the default open source driver but get this bug a lot. I'll add 

export G_SLICE=always-malloc

to ~/.bashrc and post the backtrace.
Comment 244 Agustin Ferrario 2012-03-12 18:49:11 EDT
(In reply to comment #237)
> Can those who've hit this bug recently please let us know if you're using the
> fglrx driver - that's the proprietary ATI/AMD driver? We suspect this bug is
> caused by that driver, but if anyone *isn't* using it, that would be valuable
> information.
> 
> 
> 
> -- 
> Fedora Bugzappers volunteer triage team
> https://fedoraproject.org/wiki/BugZappers

I have AMD hardware, but i use the open driver. I added export G_SLICE=always-malloc to ~/.bashrc and post the backtrace, but the bug is not realy easy to reproduce.. i'll repost the backtrace when i can reproduce it.
Comment 245 djip007 2012-03-12 21:13:33 EDT
Created attachment 915424 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 246 Tony Foiani 2012-03-12 21:41:08 EDT
(In reply to comment #237)
> Can those who've hit this bug recently please let us know if you're using the
> fglrx driver - that's the proprietary ATI/AMD driver? We suspect this bug is
> caused by that driver, but if anyone *isn't* using it, that would be valuable
> information.

As was mentioned somewhere upthread, the other common denominator seems to be Parallels Desktop for OSX (which is my situation).

I'll try the slice alloc setting the next time I'm on that box.
Comment 247 Dave Jeffery 2012-03-13 00:56:23 EDT
Recently? I hit this bug every twenty minutes or so, so hopefully that's recent enough ;)

Yes, I'm using the proprietary ATI/AMD fglrx driver.

Sadly the open driver is unusable for me (slow, with a stretched display) in F16 and currently doesn't work at all for me in F17 so I don't have much choice.
Comment 248 Doug Penner 2012-03-13 04:17:31 EDT
I'm hitting it on an Intel i7 system with an Nvidia graphics card, so AMD/ATI has nothing to do with *my* crash.
Comment 249 Nicolas Chauvet (kwizart) 2012-03-13 04:35:11 EDT
I'm using nouveau.
Comment 250 Tony Themelis 2012-03-13 06:30:49 EDT
I am using catalyst 11.11, will try with the new 12.2.
Comment 251 Thomas Vander Stichele 2012-03-13 06:41:25 EDT
I was starting flumotion-admin, a gtk app

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 252 Thomas Vander Stichele 2012-03-13 06:41:47 EDT
Created attachment 569634 [details]
File: backtrace
Comment 253 Matthew Booth 2012-03-13 10:08:00 EDT
(In reply to comment #237)
> Can those who've hit this bug recently please let us know if you're using the
> fglrx driver - that's the proprietary ATI/AMD driver? We suspect this bug is
> caused by that driver, but if anyone *isn't* using it, that would be valuable
> information.

I have an Intel chipset. No ATI/AMD here.
Comment 254 Milan Bouchet-Valat 2012-03-13 11:45:14 EDT
Could somebody who's able to reproduce the crash often follow the instructions from comment #242, using AMD or any other card?
Comment 255 Pat Gardner 2012-03-13 12:14:29 EDT
I've not had any more crashes of this kind since adding export CLUTTER_VBLANK=none to /etc/environment
Comment 256 Dave Jeffery 2012-03-14 08:39:09 EDT
I've done what Milan asked in Comment 254 using an AMD A8-3820 APU. The bug is reported at:

https://bugzilla.redhat.com/show_bug.cgi?id=802903
Comment 257 Milan Bouchet-Valat 2012-03-14 09:38:06 EDT
If somebody is also willing to help, please run either:
G_SLICE=malloc MALLOC_CHECK_2 gnome-shell --replace
or (better)
G_SLICE=malloc G_DEBUG=gc-friendly valgrind --tool=memcheck gnome-shell --replace
(for the latter, you'll need to install Valgrind)

and reproduce the crash.

Thanks!
Comment 258 Milan Bouchet-Valat 2012-03-14 09:39:35 EDT
Sorry, this was meant to be:
G_SLICE=always-malloc MALLOC_CHECK_2 gnome-shell --replace
or=
G_SLICE=always-malloc G_DEBUG=gc-friendly valgrind --tool=memcheck gnome-shell --replace
Comment 259 Moises Gomez 2012-03-14 16:48:26 EDT
(In reply to comment #237)
> Can those who've hit this bug recently please let us know if you're using the
> fglrx driver - that's the proprietary ATI/AMD driver? We suspect this bug is
> caused by that driver, but if anyone *isn't* using it, that would be valuable
> information.
> 
> 
> 
> -- 
> Fedora Bugzappers volunteer triage team
> https://fedoraproject.org/wiki/BugZappers

My computer use Intel® Sandybridge Mobile Graphic.
Comment 260 Li Junshuai 2012-03-14 21:31:34 EDT
just a normal Intel graphics chipset as well as Comment 241


(In reply to comment #237)
> Can those who've hit this bug recently please let us know if you're using the
> fglrx driver - that's the proprietary ATI/AMD driver? We suspect this bug is
> caused by that driver, but if anyone *isn't* using it, that would be valuable
> information.
> 
> 
> 
> -- 
> Fedora Bugzappers volunteer triage team
> https://fedoraproject.org/wiki/BugZappers
Comment 261 Ray Strode [halfline] 2012-03-15 12:54:54 EDT
bug 802903 shows these messages in .xsession-errors:

:(gnome-shell:1800): folks-WARNING **: Error preparing persona store
'eds:1303306881.3070.1@kecskebak.desktop': Couldn't open address book
‘1303306881.3070.1@kecskebak.desktop’: Cannot open book: Cannot process, book
backend is opening
:(gnome-shell:1800): folks-WARNING **: Failed to find primary PersonaStore with
type ID 'eds' and ID '1303306881.3070.1@kecskebak.desktop'.
:(gnome-shell:1800): Clutter-WARNING **: Unable to compile the GLSL shader:
Fragment shader failed to compile with the following errors:
:*** glibc detected *** /usr/bin/gnome-shell: malloc(): smallbin double linked
list corrupted: 0x0000000004ddbf20 ***

Do other people also have folks-WARNING messages in ~/.xsession-errors leading up to the crash?
Comment 262 Fabrício José Vieira Ceolin 2012-03-16 18:36:48 EDT
The gnome crashed when I received a call on telepathy.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 263 Fabrício José Vieira Ceolin 2012-03-16 18:37:10 EDT
Created attachment 570729 [details]
File: backtrace
Comment 264 Ankur Sinha (FranciscoD) 2012-03-18 14:40:11 EDT
Unmounted a USB HDD using the "Removable devices" notification box.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 265 Ankur Sinha (FranciscoD) 2012-03-18 14:40:36 EDT
Created attachment 570927 [details]
File: backtrace
Comment 266 Dave Jeffery 2012-03-19 01:07:09 EDT
Using Test Packages linked to in Comment 30 of Bug ID 802903

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 267 Dave Jeffery 2012-03-19 01:07:33 EDT
Created attachment 571008 [details]
File: backtrace
Comment 268 Dave Jeffery 2012-03-19 03:55:39 EDT
Aargh! I spoke too soon. This bug occured after the CSS change suggested by Ray Strode.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 269 Dave Jeffery 2012-03-19 03:56:07 EDT
Created attachment 571036 [details]
File: backtrace
Comment 270 tarso81 2012-03-19 12:22:53 EDT
O computador esta muito lento e o teclado nao funciona direito. O gnome esta parando varias vezes e outras fchando sem motivo.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 271 tarso81 2012-03-19 12:23:40 EDT
Created attachment 571182 [details]
File: backtrace
Comment 272 Dave Jeffery 2012-03-20 00:59:01 EDT
Using Firefox - nothing else open.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 273 Dave Jeffery 2012-03-20 00:59:24 EDT
Created attachment 571285 [details]
File: backtrace
Comment 274 Mads Kiilerich 2012-03-21 07:23:32 EDT
I was trying to open System Settings when X disappeared

backtrace_rating: 4
Package: gnome-shell-3.3.90-2.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 275 Mads Kiilerich 2012-03-21 07:24:00 EDT
Created attachment 571684 [details]
File: backtrace
Comment 276 Fabian Deutsch 2012-03-23 10:27:32 EDT
mounting an image?

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 277 Fabian Deutsch 2012-03-23 10:28:03 EDT
Created attachment 572293 [details]
File: backtrace
Comment 278 Nicholas Alonge 2012-03-26 02:45:40 EDT
Clicked on the "Removable Devices" indicator in the message tray. It was unresponsive so I clicked again and that's when gnome-shell crashed.

This is a very intermittent issue. I have had Fedora 16 installed for about 4 months and it's only happened twice.


backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 279 Nicholas Alonge 2012-03-26 02:46:29 EDT
Created attachment 572664 [details]
File: backtrace
Comment 280 klement.sekera 2012-03-26 08:31:39 EDT
I attached USB HDD

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 281 klement.sekera 2012-03-26 08:32:39 EDT
Created attachment 572747 [details]
File: backtrace
Comment 282 HUGEL Christian 2012-03-26 14:43:20 EDT
launching wine (Powerpoint 2007) and trying to unmount usb key

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 283 HUGEL Christian 2012-03-26 14:43:46 EDT
Created attachment 572839 [details]
File: backtrace
Comment 284 Benjamin 2012-03-26 15:36:13 EDT
Running F17 alpha x86_64 in a virtual box instance.
Just performed a "yum update" and after the Cleanup of the packages the gnome session reloads ...
However, no clue what caused it


backtrace_rating: 4
Package: gnome-shell-3.3.90-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 285 Benjamin 2012-03-26 15:36:41 EDT
Created attachment 572854 [details]
File: backtrace
Comment 286 Asif Ali Rizvan 2012-03-27 00:54:46 EDT
launching 'rhythmbox' shortcut on dash (in activities) after removing 'rhythmbox from add/remove software' crashed gnome-shell.
I assume, the 'unavailable' (uninstalled app's favorite) shortcuts in dash would also crash gnome-shell.


backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 287 Asif Ali Rizvan 2012-03-27 00:55:11 EDT
Created attachment 572921 [details]
File: backtrace
Comment 288 Braden McDaniel 2012-03-27 02:59:12 EDT
I believe gpk-application was trying to throw up an authentication dialog when gnome-shell crashed.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 289 Braden McDaniel 2012-03-27 02:59:42 EDT
Created attachment 572941 [details]
File: backtrace
Comment 290 Pierguido Lambri 2012-03-27 04:44:55 EDT
Clicked on the "Removable Devices" icon

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 291 Pierguido Lambri 2012-03-27 04:45:50 EDT
Created attachment 572980 [details]
File: backtrace
Comment 292 geigor 2012-03-27 06:46:07 EDT
installing new set of fonts

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 293 geigor 2012-03-27 06:46:29 EDT
Created attachment 573013 [details]
File: backtrace
Comment 294 Ray Strode [halfline] 2012-03-27 17:39:29 EDT
There's a small heap corruption fix to a library used by gnome-shell here:

https://admin.fedoraproject.org/updates/accountsservice-0.6.15-3.fc16

I have no reason to believe it's related to this bug, but there's a remote chance, and is a worthwhile update anyway.
Comment 295 M. Wolfe 2012-03-27 19:15:01 EDT
Inserted a microsd card adapter into my laptop's cardreader.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 296 M. Wolfe 2012-03-27 19:15:27 EDT
Created attachment 573192 [details]
File: backtrace
Comment 297 Tim Waugh 2012-03-28 04:31:09 EDT
Connected an external USB hard disk.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 298 Tim Waugh 2012-03-28 04:31:57 EDT
Created attachment 573267 [details]
File: backtrace
Comment 299 djip007 2012-03-28 17:19:18 EDT
Created attachment 573472 [details]
backtrace

kernel: 3.3.0-4.fc16.x86_64
reason: Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
package: gnome-shell-3.2.2.1-1.fc16
os_release: Fedora release 16 (Verne)
count 14
Comment 300 thomas.wuercher 2012-03-30 15:31:46 EDT
Tried to install Google Chrome

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 301 thomas.wuercher 2012-03-30 15:32:17 EDT
Created attachment 574082 [details]
File: backtrace
Comment 302 HUGEL Christian 2012-03-31 11:44:44 EDT
Was removing a shorcut (right clic, remove) from the fav bar on the left

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 303 HUGEL Christian 2012-03-31 11:45:34 EDT
Created attachment 574209 [details]
File: backtrace
Comment 304 Alexey 2012-03-31 16:32:21 EDT
update whith yum extender

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 305 Alexey 2012-03-31 16:32:50 EDT
Created attachment 574234 [details]
File: backtrace
Comment 306 Dan Beard 2012-03-31 22:23:07 EDT
installing software

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 307 Dan Beard 2012-03-31 22:23:31 EDT
Created attachment 574256 [details]
File: backtrace
Comment 308 HUGEL Christian 2012-04-01 14:45:52 EDT
Tryed to remove a USB key

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 309 HUGEL Christian 2012-04-01 14:46:15 EDT
Created attachment 574361 [details]
File: backtrace
Comment 310 Artemio 2012-04-01 23:57:58 EDT
durante a atualização do sistema.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 311 Artemio 2012-04-01 23:58:26 EDT
Created attachment 574394 [details]
File: backtrace
Comment 312 lavall7 2012-04-02 03:31:24 EDT
Platform: notebook
Video card: ATI mobility 5730
	This problem happens when I use the ATI official driver. Every time I click on something or move a window, gnome-shell has a chance to crash. Occassionly, the cursor movement becomes very slow inside a window or when moving a windows or switch between windows. But if this happens the gnome-shell would not crash.
	Most of the time, after the crash, gnome-shell starts very quickly. But I have also encountered several situations that I was forced to logout, and have to restart.


backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 313 lavall7 2012-04-02 03:32:11 EDT
Created attachment 574415 [details]
File: backtrace
Comment 314 udtduetl 2012-04-02 08:23:52 EDT
alt+f2, write wireshark. happened only for the first time

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 315 udtduetl 2012-04-02 08:24:23 EDT
Created attachment 574487 [details]
File: backtrace
Comment 316 Elad Alfassa 2012-04-02 08:55:18 EDT
gnome-shell crashed during running yum update
List of changed packages, if relevant:


Removed:
  kernel.x86_64 0:3.2.10-3.fc16       kernel-devel.x86_64 0:3.2.10-3.fc16      

Installed:
  kernel.x86_64 0:3.3.0-8.fc16        kernel-devel.x86_64 0:3.3.0-8.fc16       
  polkit.i686 0:0.103-1.fc16          polkit.x86_64 0:0.103-1.fc16             

Dependency Installed:
  cracklib.i686 0:2.8.18-2.fc15             pam.i686 0:1.1.5-5.fc16            

Updated:
  NetworkManager.x86_64 1:0.9.4-1.git20120328.fc16                             
  NetworkManager-devel.x86_64 1:0.9.4-1.git20120328.fc16                       
  NetworkManager-glib.x86_64 1:0.9.4-1.git20120328.fc16                        
  NetworkManager-glib-devel.x86_64 1:0.9.4-1.git20120328.fc16                  
  NetworkManager-gnome.x86_64 1:0.9.4-1.git20120328.fc16                       
  NetworkManager-gtk.x86_64 1:0.9.4-1.git20120328.fc16                         
  NetworkManager-gtk-devel.x86_64 1:0.9.4-1.git20120328.fc16                   
  accountsservice.x86_64 0:0.6.15-3.fc16                                       
  accountsservice-libs.x86_64 0:0.6.15-3.fc16                                  
  autocorr-en.noarch 1:3.4.5.2-10.fc16                                         
  colord.x86_64 0:0.1.18-2.fc16                                                
  coreutils.x86_64 0:8.12-7.fc16                                               
  coreutils-libs.x86_64 0:8.12-7.fc16                                          
  cups.x86_64 1:1.5.2-8.1.fc16                                                 
  cups-libs.i686 1:1.5.2-8.1.fc16                                              
  cups-libs.x86_64 1:1.5.2-8.1.fc16                                            
  dracut.noarch 0:013-22.fc16                                                  
  dvb-apps.x86_64 0:1.1.2-0.1479.37781d27a444.fc16                             
  flac.i686 0:1.2.1-8.fc16                                                     
  flac.x86_64 0:1.2.1-8.fc16                                                   
  ibus-hangul.x86_64 0:1.4.0-5.fc16                                            
  kernel-headers.x86_64 0:3.3.0-8.fc16                                         
  kernel-tools.x86_64 0:3.3.0-8.fc16                                           
  libipa_hbac.x86_64 0:1.8.1-9.fc16                                            
  libquvi.x86_64 0:0.4.1-1.fc16                                                
  libquvi-scripts.noarch 0:0.4.4-1.fc16                                        
  libreoffice-calc.x86_64 1:3.4.5.2-10.fc16                                    
  libreoffice-core.x86_64 1:3.4.5.2-10.fc16                                    
  libreoffice-draw.x86_64 1:3.4.5.2-10.fc16                                    
  libreoffice-graphicfilter.x86_64 1:3.4.5.2-10.fc16                           
  libreoffice-impress.x86_64 1:3.4.5.2-10.fc16                                 
  libreoffice-langpack-he.x86_64 1:3.4.5.2-10.fc16                             
  libreoffice-math.x86_64 1:3.4.5.2-10.fc16                                    
  libreoffice-opensymbol-fonts.noarch 1:3.4.5.2-10.fc16                        
  libreoffice-pdfimport.x86_64 1:3.4.5.2-10.fc16                               
  libreoffice-presenter-screen.x86_64 1:3.4.5.2-10.fc16                        
  libreoffice-ure.x86_64 1:3.4.5.2-10.fc16                                     
  libreoffice-writer.x86_64 1:3.4.5.2-10.fc16                                  
  mdadm.x86_64 0:3.2.3-7.fc16                                                  
  mysql.x86_64 0:5.5.22-1.fc16                                                 
  mysql-libs.x86_64 0:5.5.22-1.fc16                                            
  nspr.i686 0:4.9-2.fc16                                                       
  nspr.x86_64 0:4.9-2.fc16                                                     
  nspr-devel.x86_64 0:4.9-2.fc16                                               
  nss.i686 0:3.13.3-2.fc16                                                     
  nss.x86_64 0:3.13.3-2.fc16                                                   
  nss-devel.x86_64 0:3.13.3-2.fc16                                             
  nss-softokn.i686 0:3.13.3-2.1.fc16                                           
  nss-softokn.x86_64 0:3.13.3-2.1.fc16                                         
  nss-softokn-devel.x86_64 0:3.13.3-2.1.fc16                                   
  nss-softokn-freebl.i686 0:3.13.3-2.1.fc16                                    
  nss-softokn-freebl.x86_64 0:3.13.3-2.1.fc16                                  
  nss-softokn-freebl-devel.x86_64 0:3.13.3-2.1.fc16                            
  nss-sysinit.x86_64 0:3.13.3-2.fc16                                           
  nss-util.i686 0:3.13.3-3.fc16                                                
  nss-util.x86_64 0:3.13.3-3.fc16                                              
  nss-util-devel.x86_64 0:3.13.3-3.fc16                                        
  openldap.i686 0:2.4.26-7.fc16                                                
  openldap.x86_64 0:2.4.26-7.fc16                                              
  openldap-devel.x86_64 0:2.4.26-7.fc16                                        
  perl-Socket.x86_64 0:2.001-1.fc16                                            
  phonon.x86_64 0:4.6.0-3.fc16                                                 
  pitivi.noarch 0:0.15.0-3.fc16                                                
  python-cups.x86_64 0:1.9.60-3.fc16                                           
  rp-pppoe.x86_64 0:3.10-12.fc16                                               
  screen.x86_64 0:4.1.0-0.7.20110328git8cf5ef.fc16                             
  sssd.x86_64 0:1.8.1-9.fc16                                                   
  sssd-client.x86_64 0:1.8.1-9.fc16                                            
  wine.i686 0:1.5.1-1.fc16                                                     
  wine-alsa.i686 0:1.5.1-1.fc16                                                
  wine-capi.i686 0:1.5.1-1.fc16                                                
  wine-capi.x86_64 0:1.5.1-1.fc16                                              
  wine-cms.i686 0:1.5.1-1.fc16                                                 
  wine-cms.x86_64 0:1.5.1-1.fc16                                               
  wine-common.noarch 0:1.5.1-1.fc16                                            
  wine-core.i686 0:1.5.1-1.fc16                                                
  wine-core.x86_64 0:1.5.1-1.fc16                                              
  wine-courier-fonts.noarch 0:1.5.1-1.fc16                                     
  wine-desktop.noarch 0:1.5.1-1.fc16                                           
  wine-fonts.noarch 0:1.5.1-1.fc16                                             
  wine-ldap.i686 0:1.5.1-1.fc16                                                
  wine-marlett-fonts.noarch 0:1.5.1-1.fc16                                     
  wine-ms-sans-serif-fonts.noarch 0:1.5.1-1.fc16                               
  wine-openal.i686 0:1.5.1-1.fc16                                              
  wine-pulseaudio.i686 0:1.5.1-1.fc16                                          
  wine-small-fonts.noarch 0:1.5.1-1.fc16                                       
  wine-symbol-fonts.noarch 0:1.5.1-1.fc16                                      
  wine-system-fonts.noarch 0:1.5.1-1.fc16                                      
  wine-systemd.noarch 0:1.5.1-1.fc16                                           
  wine-tahoma-fonts.noarch 0:1.5.1-1.fc16                                      
  wine-twain.i686 0:1.5.1-1.fc16                                               
  wine-wow.i686 0:1.5.1-1.fc16                                                 
  xorg-x11-server-Xephyr.x86_64 0:1.11.4-3.fc16                                
  xorg-x11-server-Xorg.x86_64 0:1.11.4-3.fc16                                  
  xorg-x11-server-Xvfb.x86_64 0:1.11.4-3.fc16                                  
  xorg-x11-server-common.x86_64 0:1.11.4-3.fc16                                

Replaced:
  polkit-desktop-policy.noarch 0:0.102-3.fc16                                  

Complete!


backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 317 Elad Alfassa 2012-04-02 08:55:51 EDT
Created attachment 574496 [details]
File: backtrace
Comment 318 Herbert Carl Meyer 2012-04-02 19:22:44 EDT
Just logged in, running yum update in terminal, starting grhino game.

backtrace_rating: 4
Package: gnome-shell-3.4.0-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 319 Štefan Gurský 2012-04-03 03:51:09 EDT
I attached USB disk.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 320 Štefan Gurský 2012-04-03 03:51:37 EDT
Created attachment 574768 [details]
File: backtrace
Comment 321 John Slade 2012-04-03 17:58:45 EDT
Mounting of a drive failed

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 322 John Slade 2012-04-03 17:59:10 EDT
Created attachment 574995 [details]
File: backtrace
Comment 323 Mikhail 2012-04-03 21:47:31 EDT
install opera next

backtrace_rating: 4
Package: gnome-shell-3.4.0-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 324 Raymond Rodgers 2012-04-04 07:09:41 EDT
I'm not sure this can be reproduced or what triggers it. Periodically, one or both of my monitors seem to get interference/horizontal lines for a few seconds, then I get a message saying that the gnome shell had an issue.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 325 Raymond Rodgers 2012-04-04 07:10:30 EDT
Created attachment 575084 [details]
File: backtrace
Comment 326 Adam Williamson 2012-04-04 16:14:03 EDT
Attached a USB stick, Shell crashed.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 327 Adam Williamson 2012-04-04 16:14:32 EDT
Created attachment 575219 [details]
File: backtrace
Comment 328 Owen Taylor 2012-04-04 17:59:54 EDT
There are patches in https://bugzilla.gnome.org/show_bug.cgi?id=673512 that should fix the crash when running yum, but I don't expect them to fix the crash with FGLRX. I'm uncertain about whether they'll fix the crash with removable media insertion or not - it's possible that the removable media crash occurs after a yum update that installs icons has put things into a bad state, and the next attempt to display a new icon causes the crashes.
Comment 329 GAO Xiang 2012-04-05 04:06:53 EDT
when I finished removing google-chrome, and try to remove the icon from the favourites, the gnome shell crashed

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 330 GAO Xiang 2012-04-05 04:07:41 EDT
Created attachment 575312 [details]
File: backtrace
Comment 331 Tim Zorn 2012-04-05 22:40:12 EDT
I have a feeling it's related to fglrx catalyst driver. This happens quite often

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 332 Tim Zorn 2012-04-05 22:40:45 EDT
Created attachment 575586 [details]
File: backtrace
Comment 333 Tim Zorn 2012-04-05 22:52:24 EDT
gnome-shell crashed and did not restart after running:
G_SLICE=always-malloc G_DEBUG=gc-friendly valgrind --tool=memcheck gnome-shell --replace
I had to restart my computer. How do I post that log?
Comment 334 Tim Zorn 2012-04-06 00:04:27 EDT
this is the new backtrace with 'export G_SLICE=always-malloc' in ~/.bashrc :
https://bugzilla.redhat.com/show_bug.cgi?id=810426
Comment 335 hellojoker 2012-04-06 01:27:48 EDT
happens after each installation / removal of a package using the terminal

backtrace_rating: 4
Package: gnome-shell-3.4.0-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 336 Milan Bouchet-Valat 2012-04-06 05:05:38 EDT
Tim Zorn: You cannot now. :-(

You can run
G_SLICE=always-malloc G_DEBUG=gc-friendly valgrind --tool=memcheck gnome-shell
--replace &> ~/valgrind.log
so you find the log in your home folder.

BTW, running
gnome-shell --display :0
from a virtual console should be enough to restart the Shell.

Thanks!
Comment 337 Tim Zorn 2012-04-06 05:15:27 EDT
Milan Bouchet-Valat: Thank you.
Would that log be helpful? I can run it again.
Comment 338 Bob 2012-04-06 06:07:27 EDT
I had shutdown several programs last one being Virtualbox.  Clicked on username (upper-right menu) and alt key to select Power Off.  However, the desktop became disabled for a moment and the ABRT alert popped up with a gnome-shell error message.  In a few seconds, gnome-shell returned to normal and the desktop and menus were enabled.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 339 Bob 2012-04-06 06:08:12 EDT
Created attachment 575692 [details]
File: backtrace
Comment 340 Kamil Páral 2012-04-06 06:33:20 EDT
This happened in a VM during standard work.

backtrace_rating: 4
Package: gnome-shell-3.4.0-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 341 Tim Zorn 2012-04-06 06:47:58 EDT
valgrind.log:
==21206== Memcheck, a memory error detector
==21206== Copyright (C) 2002-2010, and GNU GPL'd, by Julian Seward et al.
==21206== Using Valgrind-3.6.1 and LibVEX; rerun with -h for copyright info
==21206== Command: gnome-shell --replace
==21206== 
==21206== Invalid read of size 8
==21206==    at 0x320648FE44: __GI___strncasecmp_l (in /lib64/libc-2.14.90.so)
==21206==    by 0x320643F25E: ____strtod_l_internal (in /lib64/libc-2.14.90.so)
==21206==    by 0x3208462185: g_ascii_strtod (in /lib64/libglib-2.0.so.0.3000.2)
==21206==    by 0x32258091B6: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==21206==    by 0x3225820C78: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==21206==    by 0x3225821B01: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==21206==    by 0x3225822914: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==21206==    by 0x3225825B23: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==21206==    by 0x322582649A: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==21206==    by 0x320B04230B: xmlParseStartTag (in /usr/lib64/libxml2.so.2.7.8)
==21206==    by 0x320B04ABD7: ??? (in /usr/lib64/libxml2.so.2.7.8)
==21206==    by 0x320B04B7AE: xmlParseChunk (in /usr/lib64/libxml2.so.2.7.8)
==21206==  Address 0xc4f9150 is 0 bytes inside a block of size 7 alloc'd
==21206==    at 0x4A074CD: malloc (vg_replace_malloc.c:236)
==21206==    by 0x320844B6A0: g_malloc (in /lib64/libglib-2.0.so.0.3000.2)
==21206==    by 0x3208461D1D: g_strdup (in /lib64/libglib-2.0.so.0.3000.2)
==21206==    by 0x3225821ACB: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==21206==    by 0x3225822914: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==21206==    by 0x3225825B23: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==21206==    by 0x322582649A: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==21206==    by 0x320B04230B: xmlParseStartTag (in /usr/lib64/libxml2.so.2.7.8)
==21206==    by 0x320B04ABD7: ??? (in /usr/lib64/libxml2.so.2.7.8)
==21206==    by 0x320B04B7AE: xmlParseChunk (in /usr/lib64/libxml2.so.2.7.8)
==21206==    by 0x322582764E: rsvg_handle_write (in /usr/lib64/librsvg-2.so.2.34.2)
==21206==    by 0xC11CD20: ??? (in /usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so)
==21206== 
==21206== Syscall param ioctl(generic) points to uninitialised byte(s)
==21206==    at 0x32064E9CE7: ioctl (in /lib64/libc-2.14.90.so)
==21206==    by 0xFE0EB44: ukiCreateContext (in /usr/lib64/catalyst/libatiuki.so.1.0)
==21206==    by 0xF632A35: ??? (in /usr/lib64/dri/fglrx_dri.so)
==21206==    by 0xFF7DA9F: ???
==21206==    by 0xFF7CB57: ???
==21206==    by 0xFF7CC5F: ???
==21206==    by 0xF68CE0F: ??? (in /usr/lib64/dri/fglrx_dri.so)
==21206==    by 0xF: ???
==21206==  Address 0x7feff2988 is on thread 1's stack
==21206== 
==21206== Conditional jump or move depends on uninitialised value(s)
==21206==    at 0xF69A4A4: ??? (in /usr/lib64/dri/fglrx_dri.so)
==21206==    by 0xF699C03: ??? (in /usr/lib64/dri/fglrx_dri.so)
==21206==    by 0xF699E7C: ??? (in /usr/lib64/dri/fglrx_dri.so)
==21206==    by 0xF68B5E7: ??? (in /usr/lib64/dri/fglrx_dri.so)
==21206== 
==21206== Invalid write of size 1
==21206==    at 0x4A09D65: memcpy@GLIBC_2.2.5 (mc_replace_strmem.c:796)
==21206==    by 0xECEF1F2: ??? (in /usr/lib64/dri/fglrx_dri.so)
==21206==  Address 0x7f926cd24fff is not stack'd, malloc'd or (recently) free'd
==21206== 
==21206== Invalid write of size 1
==21206==    at 0x4A09D65: memcpy@GLIBC_2.2.5 (mc_replace_strmem.c:796)
==21206==    by 0xECEF207: ??? (in /usr/lib64/dri/fglrx_dri.so)
==21206==  Address 0x7f926cd24fff is not stack'd, malloc'd or (recently) free'd
==21206== 
==21206== 
==21206== More than 10000000 total errors detected.  I'm not reporting any more.
==21206== Final error counts will be inaccurate.  Go fix your program!
==21206== Rerun with --error-limit=no to disable this cutoff.  Note
==21206== that errors may occur in your program without prior warning from
==21206== Valgrind, because errors are no longer being displayed.
==21206== 

** (gnome-shell:21206): CRITICAL **: dbus_g_proxy_new_for_name: assertion `connection != NULL' failed

** (gnome-shell:21206): CRITICAL **: dbus_g_proxy_call: assertion `DBUS_IS_G_PROXY (proxy)' failed
==21206== 
==21206== Process terminating with default action of signal 11 (SIGSEGV)
==21206==  Access not within mapped region at address 0x8
==21206==    at 0x402AA2: main (in /usr/bin/gnome-shell)
==21206==  If you believe this happened as a result of a stack
==21206==  overflow in your program's main thread (unlikely but
==21206==  possible), you can try to increase the size of the
==21206==  main thread stack using the --main-stacksize= flag.
==21206==  The main thread stack size used in this run was 8388608.
==21206== 
==21206== HEAP SUMMARY:
==21206==     in use at exit: 8,866,751 bytes in 20,615 blocks
==21206==   total heap usage: 229,352 allocs, 208,737 frees, 135,682,143 bytes allocated
==21206== 
==21206== LEAK SUMMARY:
==21206==    definitely lost: 1,140 bytes in 84 blocks
==21206==    indirectly lost: 0 bytes in 0 blocks
==21206==      possibly lost: 949,254 bytes in 1,446 blocks
==21206==    still reachable: 7,916,357 bytes in 19,085 blocks
==21206==         suppressed: 0 bytes in 0 blocks
==21206== Rerun with --leak-check=full to see details of leaked memory
==21206== 
==21206== For counts of detected and suppressed errors, rerun with: -v
==21206== Use --track-origins=yes to see where uninitialised values come from
==21206== ERROR SUMMARY: 10000000 errors from 5 contexts (suppressed: 3 from 3)
Comment 342 Kamil Páral 2012-04-06 06:48:15 EDT
I saw this using qxl driver in the KVM guest and intel driver on the host.
Comment 343 Owen Taylor 2012-04-06 10:08:05 EDT
*** Bug 810426 has been marked as a duplicate of this bug. ***
Comment 344 Mikhail 2012-04-07 23:56:22 EDT
When I move mouse to activity

backtrace_rating: 4
Package: gnome-shell-3.4.0-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 345 rra18_9 2012-04-09 18:10:30 EDT
inserte una memoria usb sin archivos

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 346 rra18_9 2012-04-09 18:11:09 EDT
Created attachment 576312 [details]
File: backtrace
Comment 347 rra18_9 2012-04-09 18:47:28 EDT
inserte usb

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 348 rra18_9 2012-04-09 18:47:55 EDT
Created attachment 576324 [details]
File: backtrace
Comment 349 erasmo_eli 2012-04-09 23:28:02 EDT
Problem occurs arbitrarily, usually when scrolling down the application menu or when opening or closing a window.
Proprietary AMD video driver's compatibility is suspected as the cause.


backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 350 erasmo_eli 2012-04-09 23:28:41 EDT
Created attachment 576373 [details]
File: backtrace
Comment 351 Agustin Ferrario 2012-04-10 03:32:45 EDT
(In reply to comment #345)
> inserte una memoria usb sin archivos
> 
> backtrace_rating: 4
> Package: gnome-shell-3.2.2.1-1.fc16
> OS Release: Fedora release 16 (Verne)

Translation: Inserted an usb drive without any content.

Please rra18_9@hotmail.com try to use english if posible
Comment 352 James 2012-04-11 06:47:52 EDT
Tried to browse the files on my Bluetooth phone, via Shell drop-down menu.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 353 James 2012-04-11 06:48:36 EDT
Created attachment 576742 [details]
File: backtrace
Comment 354 Vilhjálmur Magnússon 2012-04-12 04:49:51 EDT
Was typing an applications name in gnome shell to lunch it.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 355 Vilhjálmur Magnússon 2012-04-12 04:51:08 EDT
Created attachment 576997 [details]
File: backtrace
Comment 356 legionarivs 2012-04-12 12:34:36 EDT
Applied colour changes in AMD Radeon Drivers.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 357 legionarivs 2012-04-12 12:35:10 EDT
Created attachment 577136 [details]
File: backtrace
Comment 358 legionarivs 2012-04-12 12:40:39 EDT
Seems like this bug started after I've installed ATi/AMD proprietary drivers. It just keeps happening.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 359 legionarivs 2012-04-12 12:41:16 EDT
Created attachment 577137 [details]
File: backtrace
Comment 360 legionarivs 2012-04-12 13:26:38 EDT
Just changed resolution using system config tool (couldn't do it via ATi contorl panel) and then gnome crashed.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 361 legionarivs 2012-04-12 13:27:10 EDT
Created attachment 577141 [details]
File: backtrace
Comment 362 kuchiman 2012-04-12 14:46:25 EDT
Just installed Fedora 16. I removed the unneeded software chereg package manager. When you remove the first package I introduced the Root password, all subsequent packets removed without entering the password. After some time the next time you delete GNOME Shell fell. When he returned package manager brought the error authentication.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 363 kuchiman 2012-04-12 14:47:05 EDT
Created attachment 577154 [details]
File: backtrace
Comment 364 fred 2012-04-13 04:40:07 EDT
the computer was on a sleep state. On resume, the screen dimmed to black and locked the session. After unlocking, I had this bug message.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 365 fred 2012-04-13 04:40:56 EDT
Created attachment 577273 [details]
File: backtrace
Comment 366 Ali Salim Rashid 2012-04-13 09:06:58 EDT
Inserted a DVD into optical disk drive. Gnome-shell crashed (and recovered) when showing the 'Removable Drive' notification.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 367 Ali Salim Rashid 2012-04-13 09:07:40 EDT
Created attachment 577337 [details]
File: backtrace
Comment 368 Serg Oskin 2012-04-13 12:35:39 EDT
Start gnome-terminal from panel.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 369 Serg Oskin 2012-04-13 12:36:09 EDT
Created attachment 577378 [details]
File: backtrace
Comment 370 Tom Georgoulias 2012-04-13 17:35:51 EDT
Tried to unmount a SD card.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 371 Tom Georgoulias 2012-04-13 17:36:24 EDT
Created attachment 577425 [details]
File: backtrace
Comment 372 Vilhjálmur Magnússon 2012-04-14 07:13:14 EDT
restarting my pc

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 373 Vilhjálmur Magnússon 2012-04-14 07:13:46 EDT
Created attachment 577452 [details]
File: backtrace
Comment 374 Jared MORGAN 2012-04-15 21:15:14 EDT
Was just browsing a website and the screen blanked back to the desktop only. Gnome shell then restarted and restored all windows as they were before.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 375 Jared MORGAN 2012-04-15 21:15:50 EDT
Created attachment 577613 [details]
File: backtrace
Comment 376 Bahtiar `kalkin` Gadimov 2012-04-16 17:01:24 EDT
I  tried to install a gnome shell extension from gnome website. After i clicked at the On button a hit back in firefox. The extension installation dialog never showed up.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 377 Bahtiar `kalkin` Gadimov 2012-04-16 17:02:06 EDT
Created attachment 577844 [details]
File: backtrace
Comment 378 Tim Zorn 2012-04-16 19:41:34 EDT
Owen Taylor, how soon after running in valgrind should it crash to be useful?
I've got it down to be able to reproduce soft of reliably.
Comment 379 Tim Waugh 2012-04-17 03:55:53 EDT
Plugged in USB disk.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 380 Tim Waugh 2012-04-17 03:56:35 EDT
Created attachment 577940 [details]
File: backtrace
Comment 381 Milan Bouchet-Valat 2012-04-17 11:24:55 EDT
(In reply to comment #378)
> Owen Taylor, how soon after running in valgrind should it crash to be useful?
> I've got it down to be able to reproduce soft of reliably.
What do you mean? gnome-shell should crash *while running in Valgrind*. Does that answer your question?
Comment 382 Mikhail 2012-04-17 11:39:11 EDT
insert USB stick

backtrace_rating: 4
Package: gnome-shell-3.4.0-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 383 Mikhail 2012-04-17 22:43:07 EDT
Move mouse pointer to activity

backtrace_rating: 4
Package: gnome-shell-3.4.0-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 384 Mikhail 2012-04-17 23:11:44 EDT
Crash occurred while system was be under heavy loading (start Google Chrome with many tabs and rewind film in totem)

backtrace_rating: 4
Package: gnome-shell-3.4.0-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 385 Bahtiar `kalkin` Gadimov 2012-04-18 07:40:24 EDT
I tried to install libreoffice via the Add/Remove Software app. After I clicked apply i wasn't asked to authentificate myself. The installation failed because of it. After that the whole gnome-shell restarted

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 386 Bahtiar `kalkin` Gadimov 2012-04-18 07:40:59 EDT
Created attachment 578325 [details]
File: backtrace
Comment 387 Andre Eliatamby 2012-04-18 10:13:22 EDT
Opened fil in file manager

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 388 Andre Eliatamby 2012-04-18 10:14:00 EDT
Created attachment 578366 [details]
File: backtrace
Comment 389 Adam Williamson 2012-04-18 20:43:08 EDT
On second thoughts, dropping commonbugs nomination for this, simply because there's nothing terribly useful to put in a common bugs entry. There's no known workaround or common cause or anything. A common bugs entry that says 'sometimes shell crashes, all you can do is wait for a fix' doesn't really _help_ anyone.
Comment 390 Mikhail 2012-04-18 22:25:11 EDT
Move mouse pointer to activity

backtrace_rating: 3
Package: gnome-shell-3.4.0-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 391 Adam Huffman 2012-04-19 05:54:39 EDT
Crash happened during software update - the desktop was corrupted, then the gnome-shell process restarted and the desktop was shown normally again

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 392 Adam Huffman 2012-04-19 05:55:10 EDT
Created attachment 578562 [details]
File: backtrace
Comment 393 kotofos 2012-04-19 07:53:08 EDT
using gnome-calc while update system. twice.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 394 kotofos 2012-04-19 07:53:39 EDT
Created attachment 578620 [details]
File: backtrace
Comment 395 Tim Zorn 2012-04-20 18:22:29 EDT
(In reply to comment #381)
> (In reply to comment #378)
> > Owen Taylor, how soon after running in valgrind should it crash to be useful?
> > I've got it down to be able to reproduce soft of reliably.
> What do you mean? gnome-shell should crash *while running in Valgrind*. Does
> that answer your question?

I understand it should be run in valgrind.... My question is: How long is too long (before it crashes) while running in valgrind?
Owen Taylor stated that having valgrind run too long before gnome-shell crashes could result in a lot of false positives.
If it needs to be a short period of time, how do I make my gnome-shell run in valgrind by default? gnome-shell typically crashes for my very shortly after a system reboot.
Comment 396 Troy A. Griffitts 2012-04-21 12:27:05 EDT
OK, Consistent means to always cause crash:

1) login.
2) launch terminal
3) hit alt-~

repeat 3

The second alt-~ brings up the dreaded "oops" screen and forces me to logout.  This is a ridiculous / windows-ish screen.  Consider I might have 10 windows open with pending work!  I can alt-F2, login, and run twm-- which lets me drag the oops screen out of the way, and all my windows are still there work fine in twm.

I realize this is not the place to complain about a design decision (the ooops screen), so consider this information that most things are still running, including all my applications.  It seems that the gnome wm has crashed.

But this and 92% of everything else about GNOME3 is a stupid design decision.  Who gave them the right to hi-jack the GNOME brand.  Go start your own project if you want to write something new that SUCKS!  GNOME2 _worked_ for me (not a 3 year old on a tablet).  GNOME3 doesn't.
Comment 397 Milan Bouchet-Valat 2012-04-21 15:37:59 EDT
(In reply to comment #395)
> (In reply to comment #381)
> I understand it should be run in valgrind.... My question is: How long is too
> long (before it crashes) while running in valgrind?
> Owen Taylor stated that having valgrind run too long before gnome-shell crashes
> could result in a lot of false positives.
I'm not sure there's a definite answer to that question. The shorter the better, but a crash on login is probably the best situation we can expect.

> If it needs to be a short period of time, how do I make my gnome-shell run in
> valgrind by default? gnome-shell typically crashes for my very shortly after a
> system reboot.
I think you can replace the line
Exec=/usr/bin/gnome-shell
with
Exec=G_SLICE=malloc G_DEBUG=gc-friendly valgrind --tool=memcheck /usr/bin/gnome-shell --replace
in /usr/share/applications/gnome-shell.

But your desktop will become very sluggish, so you'll probably have to switch to a virtual terminal and remove the line to get it working again after that.
Comment 398 Tim Zorn 2012-04-21 18:36:12 EDT
(In reply to comment #397)
> I think you can replace the line
> Exec=/usr/bin/gnome-shell
> with
> Exec=G_SLICE=malloc G_DEBUG=gc-friendly valgrind --tool=memcheck
> /usr/bin/gnome-shell --replace
> in /usr/share/applications/gnome-shell.
> 
> But your desktop will become very sluggish, so you'll probably have to switch
> to a virtual terminal and remove the line to get it working again after that.

Thank you. My final question is: How do a post the valgrind log after it crashes?
Comment 399 Tim Zorn 2012-04-21 18:37:42 EDT
I would really like to help get this issue resolved.
Comment 400 Milan Bouchet-Valat 2012-04-22 04:32:45 EDT
(In reply to comment #398)
> Thank you. My final question is: How do a post the valgrind log after it
> crashes?
Ah, sorry: the log should be in ~/.xsession-errors
Comment 401 Tim Zorn 2012-04-22 23:46:06 EDT
I'm not sure if this helps. I'll try to get a better log later (after I reboot).

[root@Tim tim]# killall gnome-shell && G_SLICE=malloc G_DEBUG=gc-friendly valgrind --tool=memcheck /usr/bin/gnome-shell --replace
==25220== Memcheck, a memory error detector
==25220== Copyright (C) 2002-2010, and GNU GPL'd, by Julian Seward et al.
==25220== Using Valgrind-3.6.1 and LibVEX; rerun with -h for copyright info
==25220== Command: /usr/bin/gnome-shell --replace
==25220== 
==25220== Invalid read of size 8
==25220==    at 0x320648FE44: __GI___strncasecmp_l (in /lib64/libc-2.14.90.so)
==25220==    by 0x320643F25E: ____strtod_l_internal (in /lib64/libc-2.14.90.so)
==25220==    by 0x3208462185: g_ascii_strtod (in /lib64/libglib-2.0.so.0.3000.2)
==25220==    by 0x3BBD6091B6: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==25220==    by 0x3BBD620C78: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==25220==    by 0x3BBD621B01: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==25220==    by 0x3BBD622914: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==25220==    by 0x3BBD625B23: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==25220==    by 0x3BBD62649A: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==25220==    by 0x320B04230B: xmlParseStartTag (in /usr/lib64/libxml2.so.2.7.8)
==25220==    by 0x320B04ABD7: ??? (in /usr/lib64/libxml2.so.2.7.8)
==25220==    by 0x320B04B7AE: xmlParseChunk (in /usr/lib64/libxml2.so.2.7.8)
==25220==  Address 0xbd91690 is 0 bytes inside a block of size 7 alloc'd
==25220==    at 0x4A074CD: malloc (vg_replace_malloc.c:236)
==25220==    by 0x320844B6A0: g_malloc (in /lib64/libglib-2.0.so.0.3000.2)
==25220==    by 0x3208461D1D: g_strdup (in /lib64/libglib-2.0.so.0.3000.2)
==25220==    by 0x3BBD621ACB: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==25220==    by 0x3BBD622914: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==25220==    by 0x3BBD625B23: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==25220==    by 0x3BBD62649A: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==25220==    by 0x320B04230B: xmlParseStartTag (in /usr/lib64/libxml2.so.2.7.8)
==25220==    by 0x320B04ABD7: ??? (in /usr/lib64/libxml2.so.2.7.8)
==25220==    by 0x320B04B7AE: xmlParseChunk (in /usr/lib64/libxml2.so.2.7.8)
==25220==    by 0x3BBD62764E: rsvg_handle_write (in /usr/lib64/librsvg-2.so.2.34.2)
==25220==    by 0xBABCD20: ??? (in /usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so)
==25220== 
==25220== Syscall param ioctl(generic) points to uninitialised byte(s)
==25220==    at 0x32064E9CE7: ioctl (in /lib64/libc-2.14.90.so)
==25220==    by 0xF3B0B44: ukiCreateContext (in /usr/lib64/catalyst/libatiuki.so.1.0)
==25220==    by 0xEBD2A35: ??? (in /usr/lib64/dri/fglrx_dri.so)
==25220==    by 0xF58B32F: ???
==25220==    by 0xF58A3E7: ???
==25220==    by 0xF58A4EF: ???
==25220==    by 0xEC2CE0F: ??? (in /usr/lib64/dri/fglrx_dri.so)
==25220==    by 0xF: ???
==25220==  Address 0x7feff2988 is on thread 1's stack
==25220== 
==25220== Conditional jump or move depends on uninitialised value(s)
==25220==    at 0xEC3A4A4: ??? (in /usr/lib64/dri/fglrx_dri.so)
==25220==    by 0xEC39C03: ??? (in /usr/lib64/dri/fglrx_dri.so)
==25220==    by 0xEC39E7C: ??? (in /usr/lib64/dri/fglrx_dri.so)
==25220==    by 0xEC2B5E7: ??? (in /usr/lib64/dri/fglrx_dri.so)
==25220== 
==25220== Invalid write of size 1
==25220==    at 0x4A09D65: memcpy@GLIBC_2.2.5 (mc_replace_strmem.c:796)
==25220==    by 0xE28F1F2: ??? (in /usr/lib64/dri/fglrx_dri.so)
==25220==  Address 0x7f3a8e57cfff is not stack'd, malloc'd or (recently) free'd
==25220== 
==25220== Invalid write of size 1
==25220==    at 0x4A09D65: memcpy@GLIBC_2.2.5 (mc_replace_strmem.c:796)
==25220==    by 0xE28F207: ??? (in /usr/lib64/dri/fglrx_dri.so)
==25220==  Address 0x7f3a8e57cfff is not stack'd, malloc'd or (recently) free'd
==25220== 
==25220== 
==25220== More than 10000000 total errors detected.  I'm not reporting any more.
==25220== Final error counts will be inaccurate.  Go fix your program!
==25220== Rerun with --error-limit=no to disable this cutoff.  Note
==25220== that errors may occur in your program without prior warning from
==25220== Valgrind, because errors are no longer being displayed.
==25220== 

** (gnome-shell:25220): CRITICAL **: dbus_g_proxy_new_for_name: assertion `connection != NULL' failed

** (gnome-shell:25220): CRITICAL **: dbus_g_proxy_call: assertion `DBUS_IS_G_PROXY (proxy)' failed
==25220== 
==25220== Process terminating with default action of signal 11 (SIGSEGV)
==25220==  Access not within mapped region at address 0x8
==25220==    at 0x402AA2: main (in /usr/bin/gnome-shell)
==25220==  If you believe this happened as a result of a stack
==25220==  overflow in your program's main thread (unlikely but
==25220==  possible), you can try to increase the size of the
==25220==  main thread stack using the --main-stacksize= flag.
==25220==  The main thread stack size used in this run was 8388608.
==25220== 
==25220== HEAP SUMMARY:
==25220==     in use at exit: 8,984,149 bytes in 14,183 blocks
==25220==   total heap usage: 192,336 allocs, 178,153 frees, 134,190,388 bytes allocated
==25220== 
==25220== LEAK SUMMARY:
==25220==    definitely lost: 892 bytes in 83 blocks
==25220==    indirectly lost: 0 bytes in 0 blocks
==25220==      possibly lost: 1,254,291 bytes in 2,915 blocks
==25220==    still reachable: 7,728,966 bytes in 11,185 blocks
==25220==         suppressed: 0 bytes in 0 blocks
==25220== Rerun with --leak-check=full to see details of leaked memory
==25220== 
==25220== For counts of detected and suppressed errors, rerun with: -v
==25220== Use --track-origins=yes to see where uninitialised values come from
==25220== ERROR SUMMARY: 10000000 errors from 5 contexts (suppressed: 3 from 3)
Segmentation fault (core dumped)
Comment 402 Tim Zorn 2012-04-23 00:09:01 EDT
starting up with Exec=G_SLICE=malloc G_DEBUG=gc-friendly valgrind --tool=memcheck /usr/bin/gnome-shell --replace
.xsession-errors:
GNOME_KEYRING_CONTROL=/tmp/keyring-Fr1I4X
GNOME_KEYRING_CONTROL=/tmp/keyring-Fr1I4X
GPG_AGENT_INFO=/tmp/keyring-Fr1I4X/gpg:0:1
SSH_AUTH_SOCK=/tmp/keyring-Fr1I4X/ssh
GNOME_KEYRING_CONTROL=/tmp/keyring-Fr1I4X
GPG_AGENT_INFO=/tmp/keyring-Fr1I4X/gpg:0:1
GNOME_KEYRING_CONTROL=/tmp/keyring-Fr1I4X
GPG_AGENT_INFO=/tmp/keyring-Fr1I4X/gpg:0:1
SSH_AUTH_SOCK=/tmp/keyring-Fr1I4X/ssh
gnome-session[1415]: WARNING: Failed to start app: Unable to start application: Failed to execute child process "G_SLICE=malloc" (No such file or directory)
Initializing tracker-miner-fs...
Tracker-Message: Setting up monitor for changes to config file:'/home/tim/.config/tracker/tracker-miner-fs.cfg'
Starting log:
  File:'/home/tim/.local/share/tracker/tracker-miner-fs.log'
abrt-applet: glib < 2.31 - init threading
Initializing tracker-store...
Tracker-Message: Setting up monitor for changes to config file:'/home/tim/.config/tracker/tracker-store.cfg'
Tracker-Message: Setting up monitor for changes to config file:'/home/tim/.config/tracker/tracker-store.cfg'
Starting log:
  File:'/home/tim/.local/share/tracker/tracker-store.log'

** (seapplet:1647): WARNING **: Error showing notification: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files
Failed to play sound: File or data not found
** Message: applet now removed from the notification area
e-data-server-ui-Message: Unable to find password(s) in keyring (Keyring reports: No matching results)
Comment 403 Tim Zorn 2012-04-23 00:10:26 EDT
starting up with Exec=valgrind --tool=memcheck /usr/bin/gnome-shell
.xsession-errors:
GNOME_KEYRING_CONTROL=/tmp/keyring-1kmhsQ
GNOME_KEYRING_CONTROL=/tmp/keyring-1kmhsQ
GPG_AGENT_INFO=/tmp/keyring-1kmhsQ/gpg:0:1
GNOME_KEYRING_CONTROL=/tmp/keyring-1kmhsQ
GPG_AGENT_INFO=/tmp/keyring-1kmhsQ/gpg:0:1
SSH_AUTH_SOCK=/tmp/keyring-1kmhsQ/ssh
GNOME_KEYRING_CONTROL=/tmp/keyring-1kmhsQ
GPG_AGENT_INFO=/tmp/keyring-1kmhsQ/gpg:0:1
SSH_AUTH_SOCK=/tmp/keyring-1kmhsQ/ssh
==3460== Memcheck, a memory error detector
==3460== Copyright (C) 2002-2010, and GNU GPL'd, by Julian Seward et al.
==3460== Using Valgrind-3.6.1 and LibVEX; rerun with -h for copyright info
==3460== Command: /usr/bin/gnome-shell
==3460== 
==3460== Invalid read of size 8
==3460==    at 0x320648FE44: __GI___strncasecmp_l (in /lib64/libc-2.14.90.so)
==3460==    by 0x320643F25E: ____strtod_l_internal (in /lib64/libc-2.14.90.so)
==3460==    by 0x3208462185: g_ascii_strtod (in /lib64/libglib-2.0.so.0.3000.2)
==3460==    by 0x3BBD6091B6: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==3460==    by 0x3BBD620C78: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==3460==    by 0x3BBD621B01: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==3460==    by 0x3BBD622914: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==3460==    by 0x3BBD625B23: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==3460==    by 0x3BBD62649A: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==3460==    by 0x320B04230B: xmlParseStartTag (in /usr/lib64/libxml2.so.2.7.8)
==3460==    by 0x320B04ABD7: ??? (in /usr/lib64/libxml2.so.2.7.8)
==3460==    by 0x320B04B7AE: xmlParseChunk (in /usr/lib64/libxml2.so.2.7.8)
==3460==  Address 0xbe92710 is 0 bytes inside a block of size 7 alloc'd
==3460==    at 0x4A074CD: malloc (vg_replace_malloc.c:236)
==3460==    by 0x320844B6A0: g_malloc (in /lib64/libglib-2.0.so.0.3000.2)
==3460==    by 0x3208461D1D: g_strdup (in /lib64/libglib-2.0.so.0.3000.2)
==3460==    by 0x3BBD621ACB: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==3460==    by 0x3BBD622914: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==3460==    by 0x3BBD625B23: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==3460==    by 0x3BBD62649A: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==3460==    by 0x320B04230B: xmlParseStartTag (in /usr/lib64/libxml2.so.2.7.8)
==3460==    by 0x320B04ABD7: ??? (in /usr/lib64/libxml2.so.2.7.8)
==3460==    by 0x320B04B7AE: xmlParseChunk (in /usr/lib64/libxml2.so.2.7.8)
==3460==    by 0x3BBD62764E: rsvg_handle_write (in /usr/lib64/librsvg-2.so.2.34.2)
==3460==    by 0xBABCD20: ??? (in /usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so)
==3460== 
gnome-session[3252]: WARNING: Application 'gnome-shell.desktop' failed to register before timeout
Initializing tracker-miner-fs...
abrt-applet: glib < 2.31 - init threading
Tracker-Message: Setting up monitor for changes to config file:'/home/tim/.config/tracker/tracker-miner-fs.cfg'
Starting log:
  File:'/home/tim/.local/share/tracker/tracker-miner-fs.log'

** (seapplet:3473): WARNING **: Error showing notification: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Notifications was not provided by any .service files
Initializing tracker-store...
Tracker-Message: Setting up monitor for changes to config file:'/home/tim/.config/tracker/tracker-store.cfg'
Tracker-Message: Setting up monitor for changes to config file:'/home/tim/.config/tracker/tracker-store.cfg'
Starting log:
  File:'/home/tim/.local/share/tracker/tracker-store.log'
e-data-server-ui-Message: Unable to find password(s) in keyring (Keyring reports: No matching results)
Failed to play sound: File or data not found
** Message: applet now removed from the notification area
Comment 404 Tim Zorn 2012-04-23 00:11:26 EDT
starting up with Exec=valgrind --tool=memcheck /usr/bin/gnome-shell --replace
.xsession-errors:
GNOME_KEYRING_CONTROL=/tmp/keyring-NMGmjd
GNOME_KEYRING_CONTROL=/tmp/keyring-NMGmjd
GPG_AGENT_INFO=/tmp/keyring-NMGmjd/gpg:0:1
GNOME_KEYRING_CONTROL=/tmp/keyring-NMGmjd
GPG_AGENT_INFO=/tmp/keyring-NMGmjd/gpg:0:1
SSH_AUTH_SOCK=/tmp/keyring-NMGmjd/ssh
GNOME_KEYRING_CONTROL=/tmp/keyring-NMGmjd
GPG_AGENT_INFO=/tmp/keyring-NMGmjd/gpg:0:1
SSH_AUTH_SOCK=/tmp/keyring-NMGmjd/ssh
==1669== Memcheck, a memory error detector
==1669== Copyright (C) 2002-2010, and GNU GPL'd, by Julian Seward et al.
==1669== Using Valgrind-3.6.1 and LibVEX; rerun with -h for copyright info
==1669== Command: /usr/bin/gnome-shell --replace
==1669== 
==1669== Invalid read of size 8
==1669==    at 0x320648FE44: __GI___strncasecmp_l (in /lib64/libc-2.14.90.so)
==1669==    by 0x320643F25E: ____strtod_l_internal (in /lib64/libc-2.14.90.so)
==1669==    by 0x3208462185: g_ascii_strtod (in /lib64/libglib-2.0.so.0.3000.2)
==1669==    by 0x3BBD6091B6: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==1669==    by 0x3BBD620C78: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==1669==    by 0x3BBD621B01: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==1669==    by 0x3BBD622914: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==1669==    by 0x3BBD625B23: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==1669==    by 0x3BBD62649A: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==1669==    by 0x320B04230B: xmlParseStartTag (in /usr/lib64/libxml2.so.2.7.8)
==1669==    by 0x320B04ABD7: ??? (in /usr/lib64/libxml2.so.2.7.8)
==1669==    by 0x320B04B7AE: xmlParseChunk (in /usr/lib64/libxml2.so.2.7.8)
==1669==  Address 0xbe928e0 is 0 bytes inside a block of size 7 alloc'd
==1669==    at 0x4A074CD: malloc (vg_replace_malloc.c:236)
==1669==    by 0x320844B6A0: g_malloc (in /lib64/libglib-2.0.so.0.3000.2)
==1669==    by 0x3208461D1D: g_strdup (in /lib64/libglib-2.0.so.0.3000.2)
==1669==    by 0x3BBD621ACB: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==1669==    by 0x3BBD622914: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==1669==    by 0x3BBD625B23: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==1669==    by 0x3BBD62649A: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==1669==    by 0x320B04230B: xmlParseStartTag (in /usr/lib64/libxml2.so.2.7.8)
==1669==    by 0x320B04ABD7: ??? (in /usr/lib64/libxml2.so.2.7.8)
==1669==    by 0x320B04B7AE: xmlParseChunk (in /usr/lib64/libxml2.so.2.7.8)
==1669==    by 0x3BBD62764E: rsvg_handle_write (in /usr/lib64/librsvg-2.so.2.34.2)
==1669==    by 0xBABCD20: ??? (in /usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so)
==1669==
Comment 405 Tim Zorn 2012-04-23 02:58:39 EDT
I finally caught a signal 11 (SIGSEGV) while running gnome-shell in valgrind.

command:

[tim@Tim ~]$ killall gnome-shell && G_SLICE=malloc G_DEBUG=gc-friendly valgrind --tool=memcheck /usr/bin/gnome-shell --replace &> ~/valgrind.log

contents of ~/valgrind.log after crash:

==4131== Memcheck, a memory error detector
==4131== Copyright (C) 2002-2010, and GNU GPL'd, by Julian Seward et al.
==4131== Using Valgrind-3.6.1 and LibVEX; rerun with -h for copyright info
==4131== Command: /usr/bin/gnome-shell --replace
==4131== 
==4131== Invalid read of size 8
==4131==    at 0x320648FE44: __GI___strncasecmp_l (in /lib64/libc-2.14.90.so)
==4131==    by 0x320643F25E: ____strtod_l_internal (in /lib64/libc-2.14.90.so)
==4131==    by 0x3208462185: g_ascii_strtod (in /lib64/libglib-2.0.so.0.3000.2)
==4131==    by 0x3BBD6091B6: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==4131==    by 0x3BBD620C78: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==4131==    by 0x3BBD621B01: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==4131==    by 0x3BBD622914: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==4131==    by 0x3BBD625B23: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==4131==    by 0x3BBD62649A: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==4131==    by 0x320B04230B: xmlParseStartTag (in /usr/lib64/libxml2.so.2.7.8)
==4131==    by 0x320B04ABD7: ??? (in /usr/lib64/libxml2.so.2.7.8)
==4131==    by 0x320B04B7AE: xmlParseChunk (in /usr/lib64/libxml2.so.2.7.8)
==4131==  Address 0xbd95060 is 0 bytes inside a block of size 7 alloc'd
==4131==    at 0x4A074CD: malloc (vg_replace_malloc.c:236)
==4131==    by 0x320844B6A0: g_malloc (in /lib64/libglib-2.0.so.0.3000.2)
==4131==    by 0x3208461D1D: g_strdup (in /lib64/libglib-2.0.so.0.3000.2)
==4131==    by 0x3BBD621ACB: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==4131==    by 0x3BBD622914: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==4131==    by 0x3BBD625B23: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==4131==    by 0x3BBD62649A: ??? (in /usr/lib64/librsvg-2.so.2.34.2)
==4131==    by 0x320B04230B: xmlParseStartTag (in /usr/lib64/libxml2.so.2.7.8)
==4131==    by 0x320B04ABD7: ??? (in /usr/lib64/libxml2.so.2.7.8)
==4131==    by 0x320B04B7AE: xmlParseChunk (in /usr/lib64/libxml2.so.2.7.8)
==4131==    by 0x3BBD62764E: rsvg_handle_write (in /usr/lib64/librsvg-2.so.2.34.2)
==4131==    by 0xBABCD20: ??? (in /usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so)
==4131== 
==4131== Syscall param ioctl(generic) points to uninitialised byte(s)
==4131==    at 0x32064E9CE7: ioctl (in /lib64/libc-2.14.90.so)
==4131==    by 0xF3B0B44: ukiCreateContext (in /usr/lib64/catalyst/libatiuki.so.1.0)
==4131==    by 0xEBD2A35: ??? (in /usr/lib64/dri/fglrx_dri.so)
==4131==    by 0xF58DB1F: ???
==4131==    by 0xF58CBD7: ???
==4131==    by 0xF58CCDF: ???
==4131==    by 0xEC2CE0F: ??? (in /usr/lib64/dri/fglrx_dri.so)
==4131==    by 0xF: ???
==4131==  Address 0x7feff2968 is on thread 1's stack
==4131== 
==4131== Conditional jump or move depends on uninitialised value(s)
==4131==    at 0xEC3A4A4: ??? (in /usr/lib64/dri/fglrx_dri.so)
==4131==    by 0xEC39C03: ??? (in /usr/lib64/dri/fglrx_dri.so)
==4131==    by 0xEC39E7C: ??? (in /usr/lib64/dri/fglrx_dri.so)
==4131==    by 0xEC2B5E7: ??? (in /usr/lib64/dri/fglrx_dri.so)
==4131== 
==4131== Invalid write of size 1
==4131==    at 0x4A09D65: memcpy@GLIBC_2.2.5 (mc_replace_strmem.c:796)
==4131==    by 0xE28F1F2: ??? (in /usr/lib64/dri/fglrx_dri.so)
==4131==  Address 0x7f147a6d9fff is not stack'd, malloc'd or (recently) free'd
==4131== 
==4131== Invalid write of size 1
==4131==    at 0x4A09D65: memcpy@GLIBC_2.2.5 (mc_replace_strmem.c:796)
==4131==    by 0xE28F207: ??? (in /usr/lib64/dri/fglrx_dri.so)
==4131==  Address 0x7f147a6d9fff is not stack'd, malloc'd or (recently) free'd
==4131== 
==4131== 
==4131== More than 10000000 total errors detected.  I'm not reporting any more.
==4131== Final error counts will be inaccurate.  Go fix your program!
==4131== Rerun with --error-limit=no to disable this cutoff.  Note
==4131== that errors may occur in your program without prior warning from
==4131== Valgrind, because errors are no longer being displayed.
==4131== 
gnome-shell-calendar-server[4199]: Lost (or failed to acquire) the name org.gnome.Shell.CalendarServer - exiting
==4198== 
==4198== HEAP SUMMARY:
==4198==     in use at exit: 26,677,879 bytes in 48,008 blocks
==4198==   total heap usage: 439,778 allocs, 391,770 frees, 211,772,724 bytes allocated
==4198== 
==4198== LEAK SUMMARY:
==4198==    definitely lost: 9,120 bytes in 169 blocks
==4198==    indirectly lost: 24 bytes in 1 blocks
==4198==      possibly lost: 2,235,131 bytes in 11,419 blocks
==4198==    still reachable: 24,433,604 bytes in 36,419 blocks
==4198==         suppressed: 0 bytes in 0 blocks
==4198== Rerun with --leak-check=full to see details of leaked memory
==4198== 
==4198== For counts of detected and suppressed errors, rerun with: -v
==4198== Use --track-origins=yes to see where uninitialised values come from
==4198== ERROR SUMMARY: 10000000 errors from 5 contexts (suppressed: 3 from 3)
(gnome-shell:4131): folks-DEBUG: individual-aggregator.vala:310: Setting primary store IDs to defaults.
(gnome-shell:4131): folks-DEBUG: individual-aggregator.vala:338: Primary store IDs are 'eds' and 'system'.
      JS LOG: GNOME Shell started at Mon Apr 23 2012 01:18:02 GMT-0400 (EDT)
info: sup
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7f0c754c3200 stream=0x7f0c74f9c000 src=https://desksms.appspot.com/notifications/arcturus.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7f0c754c3b00 stream=0x7f0c74e30000 src=https://desksms.appspot.com/notifications/Beat_Box_Android.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7f0c754c3800 stream=0x7f0c74e3b000 src=https://desksms.appspot.com/notifications/Canopus.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7f0c74e45300 stream=0x7f0c74ed3000 src=https://desksms.appspot.com/notifications/Capella.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7f0c74e45f00 stream=0x7f0c74eec000 src=https://desksms.appspot.com/notifications/Castor.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7f0c74e46400 stream=0x7f0c74ef5000 src=https://desksms.appspot.com/notifications/Cheeper.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7f0c74e46900 stream=0x7f0c74d06000 src=https://desksms.appspot.com/notifications/Cricket.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7f0c74e46e00 stream=0x7f0c74d24000 src=https://desksms.appspot.com/notifications/Doink.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7f0c74e47500 stream=0x7f0c74d35000 src=https://desksms.appspot.com/notifications/Drip.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7f0c74e47a00 stream=0x7f0c74d46000 src=https://desksms.appspot.com/notifications/Merope.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7f0c76dcbb00 stream=0x7f0c74d59000 src=https://desksms.appspot.com/notifications/Plastic_Pipe.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7f0c76d4f300 stream=0x7f0c74d68000 src=https://desksms.appspot.com/notifications/Polaris.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7f0c76d4f800 stream=0x7f0c74d7d000 src=https://desksms.appspot.com/notifications/Sirrah.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7f0c76d4fc00 stream=0x7f0c74e5d000 src=https://desksms.appspot.com/notifications/Tinkerbell.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7f0c76d50000 stream=0x7f0c74d88000 src=https://desksms.appspot.com/notifications/tweeters.ogg
Initializing nautilus-gdu extension

(gnome-shell:4131): Clutter-WARNING **: The actor 'uiGroup' is currently inside an allocation cycle; calling clutter_actor_queue_relayout() is not recommended
Failed to open VDPAU backend libvdpau_nvidia.so: cannot open shared object file: No such file or directory
Failed to open VDPAU backend libvdpau_nvidia.so: cannot open shared object file: No such file or directory
Failed to open VDPAU backend libvdpau_nvidia.so: cannot open shared object file: No such file or directory
info: sup
Failed to open VDPAU backend libvdpau_nvidia.so: cannot open shared object file: No such file or directory
Failed to open VDPAU backend libvdpau_nvidia.so: cannot open shared object file: No such file or directory
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7fb482216200 stream=0x7fb482991000 src=https://desksms.appspot.com/notifications/Beat_Box_Android.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7fb481f4f700 stream=0x7fb4829ef000 src=https://desksms.appspot.com/notifications/arcturus.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7fb496de8700 stream=0x7fb482a2f000 src=https://desksms.appspot.com/notifications/Canopus.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7fb481f4f900 stream=0x7fb482a3c000 src=https://desksms.appspot.com/notifications/Capella.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7fb481f4fb00 stream=0x7fb482a45000 src=https://desksms.appspot.com/notifications/Castor.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7fb481f50300 stream=0x7fb482a4e000 src=https://desksms.appspot.com/notifications/Cheeper.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7fb482c31500 stream=0x7fb482d74000 src=https://desksms.appspot.com/notifications/Cricket.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7fb481f50700 stream=0x7fb482d7d000 src=https://desksms.appspot.com/notifications/Doink.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7fb4825dd400 stream=0x7fb481d2a000 src=https://desksms.appspot.com/notifications/Drip.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7fb481f50b00 stream=0x7fb481d3c000 src=https://desksms.appspot.com/notifications/Merope.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7fb481d64d00 stream=0x7fb481db6000 src=https://desksms.appspot.com/notifications/Plastic_Pipe.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7fb481d65b00 stream=0x7fb481dc0000 src=https://desksms.appspot.com/notifications/Polaris.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7fb481d66000 stream=0x7fb481dc9000 src=https://desksms.appspot.com/notifications/Sirrah.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7fb481d66500 stream=0x7fb481dd2000 src=https://desksms.appspot.com/notifications/Tinkerbell.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7fb481d67300 stream=0x7fb48176b000 src=https://desksms.appspot.com/notifications/tweeters.ogg
Failed to open VDPAU backend libvdpau_nvidia.so: cannot open shared object file: No such file or directory

(gnome-shell:4131): Clutter-WARNING **: The actor 'uiGroup' is currently inside an allocation cycle; calling clutter_actor_queue_relayout() is not recommended
Failed to open VDPAU backend libvdpau_nvidia.so: cannot open shared object file: No such file or directory
Failed to open VDPAU backend libvdpau_nvidia.so: cannot open shared object file: No such file or directory
NOTE: child process received `Goodbye', closing down

(gnome-shell:4131): Clutter-WARNING **: The actor 'uiGroup' is currently inside an allocation cycle; calling clutter_actor_queue_relayout() is not recommended
Window manager warning: Treating resize request of legacy application 0x340062f (TinyXP [Ru) as a fullscreen request
Window manager warning: Treating resize request of legacy application 0x34006a7 (TinyXP [Ru) as a fullscreen request
      JS LOG: pushModal: invocation of begin_modal failed
      JS LOG: pushModal: invocation of begin_modal failed

--- Hash table keys for warning below:
--> inode/directory
--> l2051
--> tim
--> Timothy Zorn

(nautilus:4405): Eel-WARNING **: "unique eel_ref_str" hash table still has 4 elements at quit time (keys above)

--- Hash table keys for warning below:
--> file:///home

(nautilus:4405): Eel-WARNING **: "nautilus-directory.c: directories" hash table still has 1 element at quit time (keys above)
Shutting down nautilus-gdu extension
Window manager warning: CurrentTime used to choose focus window; focus window may not be correct.
Window manager warning: Log level 8: meta_window_change_workspace: assertion `!window->override_redirect' failed
Window manager warning: Treating resize request of legacy application 0x3400775 (TinyXP [Ru) as a fullscreen request
      JS LOG: pushModal: invocation of begin_modal failed
Window manager warning: Treating resize request of legacy application 0x340080d (TinyXP [Ru) as a fullscreen request
Window manager warning: Treating resize request of legacy application 0x3400891 (TinyXP [Ru) as a fullscreen request
info: sup
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7ffd02bf6500 stream=0x7ffd029dc000 src=https://desksms.appspot.com/notifications/arcturus.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7ffd02bf6b00 stream=0x7ffd02822000 src=https://desksms.appspot.com/notifications/Beat_Box_Android.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7ffd0478a400 stream=0x7ffd0282b000 src=https://desksms.appspot.com/notifications/Canopus.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7ffd048e4a00 stream=0x7ffd02834000 src=https://desksms.appspot.com/notifications/Capella.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7ffd048e5100 stream=0x7ffd0284a000 src=https://desksms.appspot.com/notifications/Castor.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7ffd02853400 stream=0x7ffd02857000 src=https://desksms.appspot.com/notifications/Cheeper.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7ffd02853b00 stream=0x7ffd02860000 src=https://desksms.appspot.com/notifications/Cricket.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7ffd02854000 stream=0x7ffd02869000 src=https://desksms.appspot.com/notifications/Doink.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7ffd02854500 stream=0x7ffd02872000 src=https://desksms.appspot.com/notifications/Drip.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7ffd02854a00 stream=0x7ffd0287b000 src=https://desksms.appspot.com/notifications/Plastic_Pipe.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7ffd02855000 stream=0x7ffd02884000 src=https://desksms.appspot.com/notifications/Polaris.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7ffd02855500 stream=0x7ffd0288d000 src=https://desksms.appspot.com/notifications/Merope.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7ffd02855b00 stream=0x7ffd028a6000 src=https://desksms.appspot.com/notifications/tweeters.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7ffd02856000 stream=0x7ffd028b4000 src=https://desksms.appspot.com/notifications/Tinkerbell.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7ffd02856500 stream=0x7ffd028bd000 src=https://desksms.appspot.com/notifications/Sirrah.ogg

(gnome-shell:4131): Clutter-WARNING **: The actor 'uiGroup' is currently inside an allocation cycle; calling clutter_actor_queue_relayout() is not recommended
java version "1.6.0_24"
OpenJDK Runtime Environment (IcedTea6 1.11.1) (fedora-65.1.11.1.fc16-x86_64)
OpenJDK 64-Bit Server VM (build 20.0-b12, mixed mode)
Exception in thread "-matlu-" java.security.AccessControlException: access denied (java.lang.RuntimePermission accessClassInPackage.sun.audio)
	at java.security.AccessControlContext.checkPermission(AccessControlContext.java:393)
	at java.security.AccessController.checkPermission(AccessController.java:553)
	at java.lang.SecurityManager.checkPermission(SecurityManager.java:549)
	at net.sourceforge.jnlp.runtime.JNLPSecurityManager.checkPermission(JNLPSecurityManager.java:284)
	at java.lang.SecurityManager.checkPackageAccess(SecurityManager.java:1529)
	at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:291)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:266)
	at net.sourceforge.jnlp.runtime.JNLPClassLoader.loadClass(JNLPClassLoader.java:1327)
	at a.a.c(a.java)
	at a.e.f(e.java)
	at i.b(i.java)
	at a.a.run(a.java)
	at java.lang.Thread.run(Thread.java:679)
Exception in thread "-matlu-" java.security.AccessControlException: access denied (java.lang.RuntimePermission accessClassInPackage.sun.audio)
	at java.security.AccessControlContext.checkPermission(AccessControlContext.java:393)
	at java.security.AccessController.checkPermission(AccessController.java:553)
	at java.lang.SecurityManager.checkPermission(SecurityManager.java:549)
	at net.sourceforge.jnlp.runtime.JNLPSecurityManager.checkPermission(JNLPSecurityManager.java:284)
	at java.lang.SecurityManager.checkPackageAccess(SecurityManager.java:1529)
	at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:291)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:266)
	at net.sourceforge.jnlp.runtime.JNLPClassLoader.loadClass(JNLPClassLoader.java:1327)
	at a.a.c(a.java)
	at a.e.f(e.java)
	at i.b(i.java)
	at a.a.run(a.java)
	at java.lang.Thread.run(Thread.java:679)
Initializing nautilus-gdu extension

(gnome-shell:4131): Clutter-WARNING **: The actor 'uiGroup' is currently inside an allocation cycle; calling clutter_actor_queue_relayout() is not recommended

(firefox:4849): Gtk-WARNING **: Unable to retrieve the file info for `file:///home/tim/db_client.zip': Error stating file '/home/tim/db_client.zip': No such file or directory
net.sourceforge.jnlp.LaunchException: Fatal: Initialization Error: Could not initialize applet. 
	at net.sourceforge.jnlp.Launcher.createApplet(Launcher.java:735)
	at net.sourceforge.jnlp.Launcher.getApplet(Launcher.java:676)
	at net.sourceforge.jnlp.Launcher$TgThread.run(Launcher.java:886)
Caused by: java.lang.ClassNotFoundException: A
	at net.sourceforge.jnlp.runtime.JNLPClassLoader.loadClass(JNLPClassLoader.java:1398)
	at net.sourceforge.jnlp.Launcher.createApplet(Launcher.java:725)
	... 2 more
Caused by: 
java.lang.ClassNotFoundException: A
	at net.sourceforge.jnlp.runtime.JNLPClassLoader.loadClass(JNLPClassLoader.java:1398)
	at net.sourceforge.jnlp.Launcher.createApplet(Launcher.java:725)
	at net.sourceforge.jnlp.Launcher.getApplet(Launcher.java:676)
	at net.sourceforge.jnlp.Launcher$TgThread.run(Launcher.java:886)
java.lang.NullPointerException
	at net.sourceforge.jnlp.NetxPanel.runLoader(NetxPanel.java:154)
	at sun.applet.AppletPanel.run(AppletPanel.java:380)
	at java.lang.Thread.run(Thread.java:679)
java.lang.NullPointerException
	at sun.applet.AppletPanel.run(AppletPanel.java:430)
	at java.lang.Thread.run(Thread.java:679)

(gnome-shell:4131): Clutter-WARNING **: Unable to compile the GLSL shader: Fragment shader failed to compile with the following errors:
ERROR: 1:1: error(#105) #version must occur before any other statement in the program
ERROR: error(#273) 1 compilation errors.  No code generated



(firefox:4849): Gtk-WARNING **: Unable to retrieve the file info for `file:///home/tim/old.html': Error stating file '/home/tim/old.html': No such file or directory
Error: Unable to fetch applet instance id from Java side.

(firefox:4849): Gtk-WARNING **: Unable to retrieve the file info for `file:///home/tim/fonts.mst': Error stating file '/home/tim/fonts.mst': No such file or directory

(firefox:4849): Gtk-WARNING **: Unable to retrieve the file info for `file:///home/tim/config.mst': Error stating file '/home/tim/config.mst': No such file or directory

(firefox:4849): Gtk-WARNING **: Unable to retrieve the file info for `file:///home/tim/bitmap.mst': Error stating file '/home/tim/bitmap.mst': No such file or directory

(firefox:4849): Gtk-WARNING **: Unable to retrieve the file info for `file:///home/tim/m3d.mst': Error stating file '/home/tim/m3d.mst': No such file or directory

(firefox:4849): Gtk-WARNING **: Unable to retrieve the file info for `file:///home/tim/audio.mst': Error stating file '/home/tim/audio.mst': No such file or directory
Error: Unable to fetch applet instance id from Java side.
NOTE: child process received `Goodbye', closing down

--- Hash table keys for warning below:
--> inode/directory
--> l2051
--> tim
--> Timothy Zorn

(nautilus:5057): Eel-WARNING **: "unique eel_ref_str" hash table still has 4 elements at quit time (keys above)

--- Hash table keys for warning below:
--> file:///home
--> file:///home/tim

(nautilus:5057): Eel-WARNING **: "nautilus-directory.c: directories" hash table still has 2 elements at quit time (keys above)
Shutting down nautilus-gdu extension

(gnome-shell:4131): Clutter-WARNING **: The actor 'uiGroup' is currently inside an allocation cycle; calling clutter_actor_queue_relayout() is not recommended
CompilerOracle: exclude org/eclipse/core/internal/dtree/DataTreeNode.forwardDeltaWith
CompilerOracle: exclude org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding.<init>
CompilerOracle: exclude org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates.instantiateTemplate
CompilerOracle: exclude org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage.addBinding
CompilerOracle: exclude org/python/pydev/editor/codecompletion/revisited/PythonPathHelper.isValidSourceFile
CompilerOracle: exclude org/python/pydev/ui/filetypes/FileTypesPreferencesPage.getDottedValidSourceFiles
info: sup
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7f5dc62ccc00 stream=0x7f5dc5f60000 src=https://desksms.appspot.com/notifications/arcturus.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7f5dc6646000 stream=0x7f5dc5fb3000 src=https://desksms.appspot.com/notifications/Beat_Box_Android.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7f5dc6646400 stream=0x7f5dc5fbc000 src=https://desksms.appspot.com/notifications/Canopus.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7f5dc5fc5400 stream=0x7f5dc5fc9000 src=https://desksms.appspot.com/notifications/Capella.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7f5dc5fc5900 stream=0x7f5dc5fd2000 src=https://desksms.appspot.com/notifications/Castor.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7f5dc5fc5e00 stream=0x7f5dc5fdb000 src=https://desksms.appspot.com/notifications/Cheeper.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7f5dc5fc6300 stream=0x7f5dc5fe4000 src=https://desksms.appspot.com/notifications/Cricket.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7f5dc5fc6800 stream=0x7f5dc5fed000 src=https://desksms.appspot.com/notifications/Doink.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7f5dc5fc6d00 stream=0x7f5dc5d02000 src=https://desksms.appspot.com/notifications/Drip.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7f5dc5fc7200 stream=0x7f5dc5d0b000 src=https://desksms.appspot.com/notifications/Merope.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7f5dc5fc7800 stream=0x7f5dc5d14000 src=https://desksms.appspot.com/notifications/Plastic_Pipe.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7f5dc5fc7d00 stream=0x7f5dc5d1d000 src=https://desksms.appspot.com/notifications/Polaris.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7f5dc5fc8200 stream=0x7f5dc5d26000 src=https://desksms.appspot.com/notifications/Sirrah.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7f5dc5fc8700 stream=0x7f5dc5d2f000 src=https://desksms.appspot.com/notifications/Tinkerbell.ogg
*** nsHTMLElement::FinishDecoderSetup() mDecoder=0x7f5dc5fc8c00 stream=0x7f5dc5d38000 src=https://desksms.appspot.com/notifications/tweeters.ogg
Initializing nautilus-gdu extension

(gnome-control-center:6059): Gtk-WARNING **: Overriding tab label for notebook

(gnome-control-center:6059): Gtk-WARNING **: Overriding tab label for notebook

(gnome-control-center:6059): Gtk-WARNING **: Overriding tab label for notebook

(gnome-control-center:6059): screen-cc-panel-WARNING **: Error getting brightness: GDBus.Error:org.gtk.GDBus.UnmappedGError.Quark._gsd_5fpower_5fmanager_5ferror.Code0: gsd-backlight-helper failed: No backlights were found on your system


(gnome-control-center:6059): common-cc-panel-WARNING **: Failed to list existing users: Timeout was reached

(gnome-shell:4131): Clutter-WARNING **: The actor 'uiGroup' is currently inside an allocation cycle; calling clutter_actor_queue_relayout() is not recommended

(gnome-shell:4131): Clutter-WARNING **: Unable to compile the GLSL shader: Fragment shader failed to compile with the following errors:
ERROR: 1:1: error(#105) #version must occur before any other statement in the program
ERROR: error(#273) 1 compilation errors.  No code generated


==4131== 
==4131== Process terminating with default action of signal 11 (SIGSEGV)
==4131==  Access not within mapped region at address 0xFFFFFFFF
==4131==    at 0x3208417E99: ??? (in /lib64/libglib-2.0.so.0.3000.2)
==4131==    by 0x3208460459: g_slice_alloc (in /lib64/libglib-2.0.so.0.3000.2)
==4131==    by 0x32084605B5: g_slice_alloc0 (in /lib64/libglib-2.0.so.0.3000.2)
==4131==    by 0x3859031A6A: ??? (in /usr/lib64/libcogl.so.5.0.1)
==4131==    by 0x385904E52F: ??? (in /usr/lib64/libcogl.so.5.0.1)
==4131==    by 0x385904F06E: ??? (in /usr/lib64/libcogl.so.5.0.1)
==4131==    by 0x3FAF03D99C: meta_texture_tower_get_paint_texture (in /usr/lib64/libmutter.so.0.0.0)
==4131==    by 0x3FAF03C667: ??? (in /usr/lib64/libmutter.so.0.0.0)
==4131==    by 0x320900E979: g_closure_invoke (in /lib64/libgobject-2.0.so.0.3000.2)
==4131==    by 0x3209020B5B: ??? (in /lib64/libgobject-2.0.so.0.3000.2)
==4131==    by 0x320902A140: g_signal_emit_valist (in /lib64/libgobject-2.0.so.0.3000.2)
==4131==    by 0x320902A2E1: g_signal_emit (in /lib64/libgobject-2.0.so.0.3000.2)
==4131==  If you believe this happened as a result of a stack
==4131==  overflow in your program's main thread (unlikely but
==4131==  possible), you can try to increase the size of the
==4131==  main thread stack using the --main-stacksize= flag.
==4131==  The main thread stack size used in this run was 8388608.
==4131== 
==4131== HEAP SUMMARY:
==4131==     in use at exit: 107,577,612 bytes in 297,692 blocks
==4131==   total heap usage: 22,015,495 allocs, 21,717,803 frees, 4,126,534,639 bytes allocated
==4131== 
==4131== LEAK SUMMARY:
==4131==    definitely lost: 478,753 bytes in 7,663 blocks
==4131==    indirectly lost: 420,102 bytes in 7,191 blocks
==4131==      possibly lost: 29,110,028 bytes in 176,992 blocks
==4131==    still reachable: 77,568,729 bytes in 105,846 blocks
==4131==         suppressed: 0 bytes in 0 blocks
==4131== Rerun with --leak-check=full to see details of leaked memory
==4131== 
==4131== For counts of detected and suppressed errors, rerun with: -v
==4131== Use --track-origins=yes to see where uninitialised values come from
==4131== ERROR SUMMARY: 10000000 errors from 5 contexts (suppressed: 3 from 3)
Comment 406 Owen Taylor 2012-04-23 12:00:58 EDT
(In reply to comment #405)
> I finally caught a signal 11 (SIGSEGV) while running gnome-shell in valgrind.

Thanks a lot for spending all this effort on this! We aren't quite there yet in terms of getting useful output, because:

> ==4131== More than 10000000 total errors detected.  I'm not reporting any more.
> ==4131== Final error counts will be inaccurate.  Go fix your program!
> ==4131== Rerun with --error-limit=no to disable this cutoff.  Note
> ==4131== that errors may occur in your program without prior warning from
> ==4131== Valgrind, because errors are no longer being displayed.

The "errors" reported above this are mostly inside fglrx and probably don't really represent errors at all - just code that is "playing fast and loose", and almost certainly isn't the cause of the problem. The final segfault:

> ==4131== Process terminating with default action of signal 11 (SIGSEGV)
> ==4131==  Access not within mapped region at address 0xFFFFFFFF
> ==4131==    at 0x3208417E99: ??? (in /lib64/libglib-2.0.so.0.3000.2)
> ==4131==    by 0x3208460459: g_slice_alloc (in /lib64/libglib-2.0.so.0.3000.2)
> ==4131==    by 0x32084605B5: g_slice_alloc0 (in /lib64/libglib-2.0.so.0.3000.2)

represents a crash after things have already been corrupted. So, really, what is needed here is to create a suppressions file that ignores the irrelevant errors so that the more relevant errors are visible.

[ You also need to 'debuginfo-install gnome-shell' to get useful backtraces for where errors occur. ]
Comment 407 djip007 2012-04-25 18:25:58 EDT
Created attachment 580301 [details]
valgrind log

have a crash with valgrind too.

command:
G_SLICE=malloc G_DEBUG=gc-friendly valgrind --tool=memcheck --error-limit=no /usr/bin/gnome-shell --replace &> ~/valgrind.log
Comment 408 djip007 2012-04-25 18:30:22 EDT
kernel: 3.3.2-1.fc16.x86_64
gnome-shell-3.2.2.1-1.fc16
Comment 409 Owen Taylor 2012-04-26 14:25:09 EDT
(In reply to comment #407)
> Created attachment 580301 [details]
> valgrind log
> 
> have a crash with valgrind too.
> 
> command:
> G_SLICE=malloc G_DEBUG=gc-friendly valgrind --tool=memcheck --error-limit=no
> /usr/bin/gnome-shell --replace &> ~/valgrind.log

Looking through this, the vast majority of errors are valgrind not understanding how FGLRX is mapping memory for vertex buffers. 

You can see also:

 https://bugzilla.gnome.org/show_bug.cgi?id=671985

(fixed in F17) in this trace, but that won't cause the crash. Probably whatever is interesting is obscured by bad backtraces.
Comment 410 Owen Taylor 2012-04-26 16:28:40 EDT
Note that G_SLICE=malloc in comment 27 is wrong - it should be G_SLICE=always-malloc - this also makes the valgrind traces less useful than they should be. I'm trying to get my own FGLRX test system running, but so far gnome-shell is always crashing in gdm (probably unrelated) and not crashing if I run startx from runlevel 3.
Comment 411 Owen Taylor 2012-04-26 18:07:24 EDT
Tim (and anybody else who was getting this on Fedora 16 with FGLRX or Parallels) can you test the clutter build at:

 http://koji.fedoraproject.org/koji/taskinfo?taskID=4027239

This:

(gnome-shell:4131): Clutter-WARNING **: Unable to compile the GLSL shader:
Fragment shader failed to compile with the following errors:
ERROR: 1:1: error(#105) #version must occur before any other statement in the
program
ERROR: error(#273) 1 compilation errors.  No code generated

seems to have actually been the root cause of the crash - in the code there is:

          g_warning ("Unable to compile the GLSL shader: %s", log_buf);
          g_free (log_buf);

          cogl_handle_unref (priv->shader);
          priv->shader = COGL_INVALID_HANDLE;

          cogl_handle_unref (priv->program);
          priv->shader = COGL_INVALID_HANDLE;

note the typo on the last line. I tracked this down in my own attempt at valgrinding things rather than the logs above, but the inspiration to go ahead and try it was very valuable :-) 

[Of course, I may be wrong, and the crash entirely somewhere else, but I feel good about this likely being the problem]
Comment 412 Ray Strode [halfline] 2012-04-26 18:15:09 EDT
fwiw, i noticed that warning message on bug 802903 comment 21 and had Dave Jeffery run  

sed -i -e 's/fade-offset: .*;/fade-offset: 0px;/' gnome-shell.css

to bypass that code as a test.  he initially reported success 

bug 802903 comment 35

but eventually came back a couple comments later saying the problem still happens though with seemingly less frequency.
Comment 413 Owen Taylor 2012-04-26 18:23:09 EDT
(In reply to comment #412)
> fwiw, i noticed that warning message on bug 802903 comment 21 and had Dave
> Jeffery run  
> 
> sed -i -e 's/fade-offset: .*;/fade-offset: 0px;/' gnome-shell.css
> 
> to bypass that code as a test.  he initially reported success 
> 
> bug 802903 comment 35
> 
> but eventually came back a couple comments later saying the problem still
> happens though with seemingly less frequency.

I'm pretty sure that the shader triggering the problem is data/shaders/dim-window.glsl not the fade shader which doesn't have the #version directive. (I'm not entirely sure why the the #version isn't at the beginning of dim-window.glsl when compiled, but I assume it's because COGL is sticking something onto the front)
Comment 414 Ray Strode [halfline] 2012-04-26 18:36:11 EDT
ah right, the message would be "Unable to compile the fade shader" if it were from the fade not "Unable to compile the GLSL shader" and it wouldn't be a clutter warning but a shell one
Comment 415 djip007 2012-04-27 05:47:24 EDT
(In reply to comment #410)
> Note that G_SLICE=malloc in comment 27 is wrong - it should be
> G_SLICE=always-malloc - this also makes the valgrind traces less useful than
> they should be. I'm trying to get my own FGLRX test system running, but so far
> gnome-shell is always crashing in gdm (probably unrelated) and not crashing if
> I run startx from runlevel 3.

OK try with it later.
Comment 416 Owen Taylor 2012-04-27 10:41:22 EDT
(In reply to comment #415)
> (In reply to comment #410)
> > Note that G_SLICE=malloc in comment 27 is wrong - it should be
> > G_SLICE=always-malloc - this also makes the valgrind traces less useful than
> > they should be. I'm trying to get my own FGLRX test system running, but so far
> > gnome-shell is always crashing in gdm (probably unrelated) and not crashing if
> > I run startx from runlevel 3.
> 
> OK try with it later.

I'd rather you just tested the fixed Clutter package I posted above :-)
Comment 417 Owen Taylor 2012-04-30 10:39:47 EDT
*** Bug 812601 has been marked as a duplicate of this bug. ***
Comment 418 djip007 2012-04-30 16:53:29 EDT
Ok juste intall clutter-1.8.4-2.fc16.x86_64.rpm tell you if new crash....
Comment 419 Lorenzo Villani 2012-05-02 12:24:23 EDT
(In reply to comment #411)
> Tim (and anybody else who was getting this on Fedora 16 with FGLRX or
> Parallels) can you test the clutter build at:
> 
>  http://koji.fedoraproject.org/koji/taskinfo?taskID=4027239

I used to get at least a couple of crashes a day. With your package I encountered no crashes so far.

The day is not over yet, though :-)

I will post again in two days after more testing.
Comment 420 djip007 2012-05-04 19:14:05 EDT
no more crashes..... even after reactivate some shell-extentions...

  looks you find the bug....

thanks for all you effort!
Comment 421 Lorenzo Villani 2012-05-05 06:00:26 EDT
After two more days of testing I confirm that Owen's package (http://koji.fedoraproject.org/koji/taskinfo?taskID=4027243) fixes this issue.
Comment 422 Fedora Update System 2012-05-08 14:30:52 EDT
clutter-1.8.4-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/clutter-1.8.4-2.fc16
Comment 423 Fedora Update System 2012-05-10 10:43:18 EDT
Package clutter-1.8.4-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing clutter-1.8.4-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7561/clutter-1.8.4-2.fc16
then log in and leave karma (feedback).
Comment 424 Tim Zorn 2012-05-11 14:30:59 EDT
(In reply to comment #411)
> Tim (and anybody else who was getting this on Fedora 16 with FGLRX or
> Parallels) can you test the clutter build at:
> 
>  http://koji.fedoraproject.org/koji/taskinfo?taskID=4027239

I would test it and let you know how it works out, but I currently have another issue:

https://bugzilla.redhat.com/show_bug.cgi?id=821072

So, I'm using KDE for now.
Comment 425 Owen Taylor 2012-05-14 22:05:55 EDT
*** Bug 758647 has been marked as a duplicate of this bug. ***
Comment 426 Fedora Update System 2012-05-26 21:53:51 EDT
clutter-1.8.4-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.